# cloudmersive-convert-api-client

CloudmersiveConvertApiClient - the Ruby gem for the convertapi

Convert API lets you effortlessly convert file formats and types.

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: v1
- Package version: 2.2.5
- Build package: io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build cloudmersive-convert-api-client.gemspec
```

Then either install the gem locally:

```shell
gem install ./cloudmersive-convert-api-client-2.2.5.gem
```
(for development, run `gem install --dev ./cloudmersive-convert-api-client-2.2.5.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'cloudmersive-convert-api-client', '~> 2.2.5'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'cloudmersive-convert-api-client', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'cloudmersive-convert-api-client'

# Setup authorization
CloudmersiveConvertApiClient.configure do |config|
  # Configure API key authorization: Apikey
  config.api_key['Apikey'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Apikey'] = 'Bearer'
end

api_instance = CloudmersiveConvertApiClient::CompareDocumentApi.new

input_file1 = File.new('/path/to/file.txt') # File | First input file to perform the operation on.

input_file2 = File.new('/path/to/file.txt') # File | Second input file to perform the operation on (more than 2 can be supplied).


begin
  #Compare Two Word DOCX
  result = api_instance.compare_document_docx(input_file1, input_file2)
  p result
rescue CloudmersiveConvertApiClient::ApiError => e
  puts "Exception when calling CompareDocumentApi->compare_document_docx: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://api.cloudmersive.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CloudmersiveConvertApiClient::CompareDocumentApi* | [**compare_document_docx**](docs/CompareDocumentApi.md#compare_document_docx) | **POST** /convert/compare/docx | Compare Two Word DOCX
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_csv_to_json**](docs/ConvertDataApi.md#convert_data_csv_to_json) | **POST** /convert/csv/to/json | Convert CSV to JSON conversion
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_csv_to_xml**](docs/ConvertDataApi.md#convert_data_csv_to_xml) | **POST** /convert/csv/to/xml | Convert CSV to XML conversion
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_json_to_xml**](docs/ConvertDataApi.md#convert_data_json_to_xml) | **POST** /convert/json/to/xml | Convert JSON to XML conversion
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_xls_to_json**](docs/ConvertDataApi.md#convert_data_xls_to_json) | **POST** /convert/xls/to/json | Convert Excel (97-2003) XLS to JSON conversion
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_xlsx_to_json**](docs/ConvertDataApi.md#convert_data_xlsx_to_json) | **POST** /convert/xlsx/to/json | Convert Excel XLSX to JSON conversion
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_xlsx_to_xml**](docs/ConvertDataApi.md#convert_data_xlsx_to_xml) | **POST** /convert/xlsx/to/xml | Convert Excel XLSX to XML conversion
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_xml_edit_add_attribute_with_x_path**](docs/ConvertDataApi.md#convert_data_xml_edit_add_attribute_with_x_path) | **POST** /convert/xml/edit/xpath/add-attribute | Adds an attribute to all XML nodes matching XPath expression
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_xml_edit_add_child_with_x_path**](docs/ConvertDataApi.md#convert_data_xml_edit_add_child_with_x_path) | **POST** /convert/xml/edit/xpath/add-child | Adds an XML node as a child to XML nodes matching XPath expression
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_xml_edit_remove_all_child_nodes_with_x_path**](docs/ConvertDataApi.md#convert_data_xml_edit_remove_all_child_nodes_with_x_path) | **POST** /convert/xml/edit/xpath/remove-all-children | Removes, deletes all children of nodes matching XPath expression, but does not remove the nodes
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_xml_edit_replace_with_x_path**](docs/ConvertDataApi.md#convert_data_xml_edit_replace_with_x_path) | **POST** /convert/xml/edit/xpath/replace | Replaces XML nodes matching XPath expression with new node
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_xml_edit_set_value_with_x_path**](docs/ConvertDataApi.md#convert_data_xml_edit_set_value_with_x_path) | **POST** /convert/xml/edit/xpath/set-value | Sets the value contents of XML nodes matching XPath expression
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_xml_filter_with_x_path**](docs/ConvertDataApi.md#convert_data_xml_filter_with_x_path) | **POST** /convert/xml/select/xpath | Filter, select XML nodes using XPath expression, get results
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_xml_query_with_x_query**](docs/ConvertDataApi.md#convert_data_xml_query_with_x_query) | **POST** /convert/xml/query/xquery | Query an XML file using XQuery query, get results
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_xml_query_with_x_query_multi**](docs/ConvertDataApi.md#convert_data_xml_query_with_x_query_multi) | **POST** /convert/xml/query/xquery/multi | Query multiple XML files using XQuery query, get results
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_xml_remove_with_x_path**](docs/ConvertDataApi.md#convert_data_xml_remove_with_x_path) | **POST** /convert/xml/edit/xpath/remove | Remove, delete XML nodes and items matching XPath expression
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_xml_to_json**](docs/ConvertDataApi.md#convert_data_xml_to_json) | **POST** /convert/xml/to/json | Convert XML to JSON conversion
*CloudmersiveConvertApiClient::ConvertDataApi* | [**convert_data_xml_transform_with_xslt_to_xml**](docs/ConvertDataApi.md#convert_data_xml_transform_with_xslt_to_xml) | **POST** /convert/xml/transform/xslt/to/xml | Transform XML document file with XSLT into a new XML document
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_autodetect_get_info**](docs/ConvertDocumentApi.md#convert_document_autodetect_get_info) | **POST** /convert/autodetect/get-info | Get document type information
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_autodetect_to_jpg**](docs/ConvertDocumentApi.md#convert_document_autodetect_to_jpg) | **POST** /convert/autodetect/to/jpg | Convert Document to JPG/JPEG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_autodetect_to_pdf**](docs/ConvertDocumentApi.md#convert_document_autodetect_to_pdf) | **POST** /convert/autodetect/to/pdf | Convert Document to PDF
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_autodetect_to_png_array**](docs/ConvertDocumentApi.md#convert_document_autodetect_to_png_array) | **POST** /convert/autodetect/to/png | Convert Document to PNG array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_autodetect_to_thumbnail**](docs/ConvertDocumentApi.md#convert_document_autodetect_to_thumbnail) | **POST** /convert/autodetect/to/thumbnail | Convert File to Thumbnail Image
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_autodetect_to_thumbnails_advanced**](docs/ConvertDocumentApi.md#convert_document_autodetect_to_thumbnails_advanced) | **POST** /convert/autodetect/to/thumbnail/advanced | Convert File to Thumbnail Image Object
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_autodetect_to_txt**](docs/ConvertDocumentApi.md#convert_document_autodetect_to_txt) | **POST** /convert/autodetect/to/txt | Convert Document to Text (txt)
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_csv_multi_to_xlsx**](docs/ConvertDocumentApi.md#convert_document_csv_multi_to_xlsx) | **POST** /convert/csv/multi/to/xlsx | Convert Multiple CSV Files into a Single XLSX Spreadsheet
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_csv_to_html**](docs/ConvertDocumentApi.md#convert_document_csv_to_html) | **POST** /convert/csv/to/html | Convert CSV to HTML document
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_csv_to_pdf**](docs/ConvertDocumentApi.md#convert_document_csv_to_pdf) | **POST** /convert/csv/to/pdf | Convert CSV to PDF document
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_csv_to_xlsx**](docs/ConvertDocumentApi.md#convert_document_csv_to_xlsx) | **POST** /convert/csv/to/xlsx | Convert CSV to Excel XLSX Spreadsheet
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_doc_to_docx**](docs/ConvertDocumentApi.md#convert_document_doc_to_docx) | **POST** /convert/doc/to/docx | Convert Word DOC (97-03) Document to DOCX
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_doc_to_pdf**](docs/ConvertDocumentApi.md#convert_document_doc_to_pdf) | **POST** /convert/doc/to/pdf | Convert Word DOC (97-03) Document to PDF
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_doc_to_txt**](docs/ConvertDocumentApi.md#convert_document_doc_to_txt) | **POST** /convert/doc/to/txt | Convert Word DOC (97-03) Document to Text (txt)
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_docx_to_doc**](docs/ConvertDocumentApi.md#convert_document_docx_to_doc) | **POST** /convert/docx/to/doc | Convert Word DOCX Document to Legacy Word DOC (97-03)
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_docx_to_html**](docs/ConvertDocumentApi.md#convert_document_docx_to_html) | **POST** /convert/docx/to/html | Convert Word DOCX Document to HTML Document
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_docx_to_jpg**](docs/ConvertDocumentApi.md#convert_document_docx_to_jpg) | **POST** /convert/docx/to/jpg | Convert Word DOCX Document to JPG/JPEG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_docx_to_pdf**](docs/ConvertDocumentApi.md#convert_document_docx_to_pdf) | **POST** /convert/docx/to/pdf | Convert Word DOCX Document to PDF
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_docx_to_png**](docs/ConvertDocumentApi.md#convert_document_docx_to_png) | **POST** /convert/docx/to/png | Convert Word DOCX Document to PNG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_docx_to_rtf**](docs/ConvertDocumentApi.md#convert_document_docx_to_rtf) | **POST** /convert/docx/to/rtf | Convert Word DOCX Document to RTF
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_docx_to_txt**](docs/ConvertDocumentApi.md#convert_document_docx_to_txt) | **POST** /convert/docx/to/txt | Convert Word DOCX Document to Text (txt)
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_eml_to_html**](docs/ConvertDocumentApi.md#convert_document_eml_to_html) | **POST** /convert/eml/to/html | Convert Email EML file to HTML string
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_eml_to_jpg**](docs/ConvertDocumentApi.md#convert_document_eml_to_jpg) | **POST** /convert/eml/to/jpg | Convert Email EML file to JPG/JPEG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_eml_to_pdf**](docs/ConvertDocumentApi.md#convert_document_eml_to_pdf) | **POST** /convert/eml/to/pdf | Convert Email EML file to PDF document
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_eml_to_png**](docs/ConvertDocumentApi.md#convert_document_eml_to_png) | **POST** /convert/eml/to/png | Convert Email EML file to PNG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_get_file_type_icon**](docs/ConvertDocumentApi.md#convert_document_get_file_type_icon) | **POST** /convert/autodetect/get-icon | Get PNG icon file for the file extension
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_get_file_type_icon_advanced**](docs/ConvertDocumentApi.md#convert_document_get_file_type_icon_advanced) | **POST** /convert/autodetect/get-icon/advanced | Get PNG icon byte array for the file extension
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_html_to_pdf**](docs/ConvertDocumentApi.md#convert_document_html_to_pdf) | **POST** /convert/html/to/pdf | Convert HTML document file to PDF Document
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_html_to_png**](docs/ConvertDocumentApi.md#convert_document_html_to_png) | **POST** /convert/html/to/png | Convert HTML document file to PNG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_html_to_txt**](docs/ConvertDocumentApi.md#convert_document_html_to_txt) | **POST** /convert/html/to/txt | HTML Document file to Text (txt)
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_keynote_to_jpg**](docs/ConvertDocumentApi.md#convert_document_keynote_to_jpg) | **POST** /convert/key/to/jpg | Convert Keynote Presentation (KEY) to JPG/JPEG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_keynote_to_pdf**](docs/ConvertDocumentApi.md#convert_document_keynote_to_pdf) | **POST** /convert/key/to/pdf | Convert Keynote Presentation (KEY) to PDF
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_keynote_to_png**](docs/ConvertDocumentApi.md#convert_document_keynote_to_png) | **POST** /convert/key/to/png | Convert Keynote Presentation (KEY) to PNG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_keynote_to_pptx**](docs/ConvertDocumentApi.md#convert_document_keynote_to_pptx) | **POST** /convert/key/to/pptx | Convert Keynote Presentation (KEY) to PPTX
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_msg_to_html**](docs/ConvertDocumentApi.md#convert_document_msg_to_html) | **POST** /convert/msg/to/html | Convert Email MSG file to HTML string
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_msg_to_jpg**](docs/ConvertDocumentApi.md#convert_document_msg_to_jpg) | **POST** /convert/msg/to/jpg | Convert Email MSG file to JPG/JPEG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_msg_to_pdf**](docs/ConvertDocumentApi.md#convert_document_msg_to_pdf) | **POST** /convert/msg/to/pdf | Convert Email MSG file to PDF document
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_msg_to_png**](docs/ConvertDocumentApi.md#convert_document_msg_to_png) | **POST** /convert/msg/to/png | Convert Email MSG file to PNG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_odp_to_jpg**](docs/ConvertDocumentApi.md#convert_document_odp_to_jpg) | **POST** /convert/odp/to/jpg | Convert ODP Presentation to JPG/JPEG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_odp_to_pdf**](docs/ConvertDocumentApi.md#convert_document_odp_to_pdf) | **POST** /convert/odp/to/pdf | Convert ODP Presentation to PDF
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_odp_to_png**](docs/ConvertDocumentApi.md#convert_document_odp_to_png) | **POST** /convert/odp/to/png | Convert ODP Presentation to PNG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_odp_to_pptx**](docs/ConvertDocumentApi.md#convert_document_odp_to_pptx) | **POST** /convert/odp/to/pptx | Convert ODP Presentation to PPTX
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_ods_to_jpg**](docs/ConvertDocumentApi.md#convert_document_ods_to_jpg) | **POST** /convert/ods/to/jpg | Convert ODS Spreadsheet to JPG/JPEG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_ods_to_pdf**](docs/ConvertDocumentApi.md#convert_document_ods_to_pdf) | **POST** /convert/ods/to/pdf | Convert ODS Spreadsheet to PDF
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_ods_to_png**](docs/ConvertDocumentApi.md#convert_document_ods_to_png) | **POST** /convert/ods/to/png | Convert ODS Spreadsheet to PNG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_ods_to_xlsx**](docs/ConvertDocumentApi.md#convert_document_ods_to_xlsx) | **POST** /convert/ods/to/xlsx | Convert ODS Spreadsheet to XLSX
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_odt_to_docx**](docs/ConvertDocumentApi.md#convert_document_odt_to_docx) | **POST** /convert/odt/to/docx | Convert ODT Text File to Word DOCX
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_odt_to_jpg**](docs/ConvertDocumentApi.md#convert_document_odt_to_jpg) | **POST** /convert/odt/to/jpg | Convert ODT Text File to JPG/JPEG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_odt_to_pdf**](docs/ConvertDocumentApi.md#convert_document_odt_to_pdf) | **POST** /convert/odt/to/pdf | Convert ODT Text File to PDF
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_odt_to_png**](docs/ConvertDocumentApi.md#convert_document_odt_to_png) | **POST** /convert/odt/to/png | Convert ODT Text File to PNG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_pdf_to_docx**](docs/ConvertDocumentApi.md#convert_document_pdf_to_docx) | **POST** /convert/pdf/to/docx | Convert PDF to Word DOCX Document
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_pdf_to_docx_rasterize**](docs/ConvertDocumentApi.md#convert_document_pdf_to_docx_rasterize) | **POST** /convert/pdf/to/docx/rasterize | Convert PDF to Word DOCX Document based on rasterized version of the PDF
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_pdf_to_jpg**](docs/ConvertDocumentApi.md#convert_document_pdf_to_jpg) | **POST** /convert/pdf/to/jpg | Convert PDF to JPG/JPEG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_pdf_to_png_array**](docs/ConvertDocumentApi.md#convert_document_pdf_to_png_array) | **POST** /convert/pdf/to/png | Convert PDF to PNG Image Array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_pdf_to_png_single**](docs/ConvertDocumentApi.md#convert_document_pdf_to_png_single) | **POST** /convert/pdf/to/png/merge-single | Convert PDF to Single PNG image
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_pdf_to_pptx**](docs/ConvertDocumentApi.md#convert_document_pdf_to_pptx) | **POST** /convert/pdf/to/pptx | Convert PDF to PowerPoint PPTX Presentation
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_pdf_to_txt**](docs/ConvertDocumentApi.md#convert_document_pdf_to_txt) | **POST** /convert/pdf/to/txt | Convert PDF Document to Text (txt)
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_png_array_to_pdf**](docs/ConvertDocumentApi.md#convert_document_png_array_to_pdf) | **POST** /convert/png/to/pdf | Convert PNG Array to PDF
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_ppt_to_pdf**](docs/ConvertDocumentApi.md#convert_document_ppt_to_pdf) | **POST** /convert/ppt/to/pdf | Convert PowerPoint PPT (97-03) Presentation to PDF
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_ppt_to_pptx**](docs/ConvertDocumentApi.md#convert_document_ppt_to_pptx) | **POST** /convert/ppt/to/pptx | Convert PowerPoint PPT (97-03) Presentation to PPTX
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_pptx_to_pdf**](docs/ConvertDocumentApi.md#convert_document_pptx_to_pdf) | **POST** /convert/pptx/to/pdf | Convert PowerPoint PPTX Presentation to PDF
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_pptx_to_png**](docs/ConvertDocumentApi.md#convert_document_pptx_to_png) | **POST** /convert/pptx/to/png | Convert PowerPoint PPTX to PNG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_pptx_to_ppt**](docs/ConvertDocumentApi.md#convert_document_pptx_to_ppt) | **POST** /convert/pptx/to/ppt | Convert PowerPoint PPTX presentation to Legacy PowerPoint PPT (97-03)
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_pptx_to_txt**](docs/ConvertDocumentApi.md#convert_document_pptx_to_txt) | **POST** /convert/pptx/to/txt | Convert PowerPoint PPTX Presentation to Text (txt)
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_rtf_to_docx**](docs/ConvertDocumentApi.md#convert_document_rtf_to_docx) | **POST** /convert/rtf/to/docx | Convert Rich Text Format RTF to DOCX Document
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_rtf_to_html**](docs/ConvertDocumentApi.md#convert_document_rtf_to_html) | **POST** /convert/rtf/to/html | Convert Rich Text Format RTF to HTML Document
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_rtf_to_jpg**](docs/ConvertDocumentApi.md#convert_document_rtf_to_jpg) | **POST** /convert/rtf/to/jpg | Convert Rich Text Format RTF to JPG/JPEG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_rtf_to_pdf**](docs/ConvertDocumentApi.md#convert_document_rtf_to_pdf) | **POST** /convert/rtf/to/pdf | Convert Rich Text Format RTF to PDF
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_rtf_to_png**](docs/ConvertDocumentApi.md#convert_document_rtf_to_png) | **POST** /convert/rtf/to/png | Convert Rich Text Format RTF to PNG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_xls_to_csv**](docs/ConvertDocumentApi.md#convert_document_xls_to_csv) | **POST** /convert/xls/to/csv | Convert Excel XLS (97-03) Spreadsheet to CSV
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_xls_to_pdf**](docs/ConvertDocumentApi.md#convert_document_xls_to_pdf) | **POST** /convert/xls/to/pdf | Convert Excel XLS (97-03) Spreadsheet to PDF
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_xls_to_xlsx**](docs/ConvertDocumentApi.md#convert_document_xls_to_xlsx) | **POST** /convert/xls/to/xlsx | Convert Excel XLS (97-03) Spreadsheet to XLSX
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_xlsx_to_csv**](docs/ConvertDocumentApi.md#convert_document_xlsx_to_csv) | **POST** /convert/xlsx/to/csv | Convert Excel XLSX Spreadsheet to CSV, Single Worksheet
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_xlsx_to_csv_multi**](docs/ConvertDocumentApi.md#convert_document_xlsx_to_csv_multi) | **POST** /convert/xlsx/to/csv/multi | Convert Excel XLSX Spreadsheet to CSV, Multiple Worksheets
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_xlsx_to_html**](docs/ConvertDocumentApi.md#convert_document_xlsx_to_html) | **POST** /convert/xlsx/to/html | Convert Excel XLSX Spreadsheet to HTML Document
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_xlsx_to_pdf**](docs/ConvertDocumentApi.md#convert_document_xlsx_to_pdf) | **POST** /convert/xlsx/to/pdf | Convert Excel XLSX Spreadsheet to PDF
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_xlsx_to_png**](docs/ConvertDocumentApi.md#convert_document_xlsx_to_png) | **POST** /convert/xlsx/to/png | Convert Excel XLSX spreadsheet to PNG image array
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_xlsx_to_txt**](docs/ConvertDocumentApi.md#convert_document_xlsx_to_txt) | **POST** /convert/xlsx/to/txt | Convert Excel XLSX Spreadsheet to Text (txt)
*CloudmersiveConvertApiClient::ConvertDocumentApi* | [**convert_document_xlsx_to_xls**](docs/ConvertDocumentApi.md#convert_document_xlsx_to_xls) | **POST** /convert/xlsx/to/xls | Convert Excel XLSX Spreadsheet to Legacy Excel XLS (97-03)
*CloudmersiveConvertApiClient::ConvertImageApi* | [**convert_image_get_image_info**](docs/ConvertImageApi.md#convert_image_get_image_info) | **POST** /convert/image/get-info | Get information about an image
*CloudmersiveConvertApiClient::ConvertImageApi* | [**convert_image_image_format_convert**](docs/ConvertImageApi.md#convert_image_image_format_convert) | **POST** /convert/image/{format1}/to/{format2} | Image format conversion
*CloudmersiveConvertApiClient::ConvertImageApi* | [**convert_image_image_set_dpi**](docs/ConvertImageApi.md#convert_image_image_set_dpi) | **POST** /convert/image/set-dpi/{dpi} | Change image DPI
*CloudmersiveConvertApiClient::ConvertImageApi* | [**convert_image_multipage_image_format_convert**](docs/ConvertImageApi.md#convert_image_multipage_image_format_convert) | **POST** /convert/image-multipage/{format1}/to/{format2} | Multi-page image format conversion
*CloudmersiveConvertApiClient::ConvertTemplateApi* | [**convert_template_apply_docx_template**](docs/ConvertTemplateApi.md#convert_template_apply_docx_template) | **POST** /convert/template/docx/apply | Apply Word DOCX template
*CloudmersiveConvertApiClient::ConvertTemplateApi* | [**convert_template_apply_html_template**](docs/ConvertTemplateApi.md#convert_template_apply_html_template) | **POST** /convert/template/html/apply | Apply HTML template
*CloudmersiveConvertApiClient::ConvertWebApi* | [**convert_web_html_to_docx**](docs/ConvertWebApi.md#convert_web_html_to_docx) | **POST** /convert/html/to/docx | Convert HTML to Word DOCX Document
*CloudmersiveConvertApiClient::ConvertWebApi* | [**convert_web_html_to_pdf**](docs/ConvertWebApi.md#convert_web_html_to_pdf) | **POST** /convert/web/html/to/pdf | Convert HTML string to PDF
*CloudmersiveConvertApiClient::ConvertWebApi* | [**convert_web_html_to_png**](docs/ConvertWebApi.md#convert_web_html_to_png) | **POST** /convert/web/html/to/png | Convert HTML string to PNG screenshot
*CloudmersiveConvertApiClient::ConvertWebApi* | [**convert_web_html_to_txt**](docs/ConvertWebApi.md#convert_web_html_to_txt) | **POST** /convert/web/html/to/txt | Convert HTML string to text (txt)
*CloudmersiveConvertApiClient::ConvertWebApi* | [**convert_web_md_to_html**](docs/ConvertWebApi.md#convert_web_md_to_html) | **POST** /convert/web/md/to/html | Convert Markdown to HTML
*CloudmersiveConvertApiClient::ConvertWebApi* | [**convert_web_url_to_pdf**](docs/ConvertWebApi.md#convert_web_url_to_pdf) | **POST** /convert/web/url/to/pdf | Convert a URL to PDF
*CloudmersiveConvertApiClient::ConvertWebApi* | [**convert_web_url_to_screenshot**](docs/ConvertWebApi.md#convert_web_url_to_screenshot) | **POST** /convert/web/url/to/screenshot | Take screenshot of URL
*CloudmersiveConvertApiClient::ConvertWebApi* | [**convert_web_url_to_txt**](docs/ConvertWebApi.md#convert_web_url_to_txt) | **POST** /convert/web/url/to/txt | Convert website URL page to text (txt)
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_begin_editing**](docs/EditDocumentApi.md#edit_document_begin_editing) | **POST** /convert/edit/begin-editing | Begin editing a document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_accept_all_track_changes**](docs/EditDocumentApi.md#edit_document_docx_accept_all_track_changes) | **POST** /convert/edit/docx/track-changes/accept-all | Accept all tracked changes, revisions in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_body**](docs/EditDocumentApi.md#edit_document_docx_body) | **POST** /convert/edit/docx/get-body | Get body from a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_create_blank_document**](docs/EditDocumentApi.md#edit_document_docx_create_blank_document) | **POST** /convert/edit/docx/create/blank | Create a blank Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_delete_pages**](docs/EditDocumentApi.md#edit_document_docx_delete_pages) | **POST** /convert/edit/docx/delete-pages | Delete, remove pages from a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_delete_table_row**](docs/EditDocumentApi.md#edit_document_docx_delete_table_row) | **POST** /convert/edit/docx/delete-table-row | Deletes a table row in an existing table in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_delete_table_row_range**](docs/EditDocumentApi.md#edit_document_docx_delete_table_row_range) | **POST** /convert/edit/docx/delete-table-row/range | Deletes a range of multiple table rows in an existing table in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_disable_track_changes**](docs/EditDocumentApi.md#edit_document_docx_disable_track_changes) | **POST** /convert/edit/docx/track-changes/disable | Disable track changes, revisions in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_enable_track_changes**](docs/EditDocumentApi.md#edit_document_docx_enable_track_changes) | **POST** /convert/edit/docx/track-changes/enable | Enable track changes, revisions in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_find_paragraph**](docs/EditDocumentApi.md#edit_document_docx_find_paragraph) | **POST** /convert/edit/docx/find/paragraph | Find matching paragraphs in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_get_comments**](docs/EditDocumentApi.md#edit_document_docx_get_comments) | **POST** /convert/edit/docx/get-comments/flat-list | Get comments from a Word DOCX document as a flat list
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_get_comments_hierarchical**](docs/EditDocumentApi.md#edit_document_docx_get_comments_hierarchical) | **POST** /convert/edit/docx/get-comments/hierarchical | Get comments from a Word DOCX document hierarchically
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_get_content_controls**](docs/EditDocumentApi.md#edit_document_docx_get_content_controls) | **POST** /convert/edit/docx/get-content-controls | Get all content controls (form fields) and values in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_get_form_fields**](docs/EditDocumentApi.md#edit_document_docx_get_form_fields) | **POST** /convert/edit/docx/get-form-fields | Get all form fields in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_get_headers_and_footers**](docs/EditDocumentApi.md#edit_document_docx_get_headers_and_footers) | **POST** /convert/edit/docx/get-headers-and-footers | Get content of a footer from a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_get_images**](docs/EditDocumentApi.md#edit_document_docx_get_images) | **POST** /convert/edit/docx/get-images | Get images from a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_get_macro_information**](docs/EditDocumentApi.md#edit_document_docx_get_macro_information) | **POST** /convert/edit/docx/get-macros | Get macro information from a Word DOCX/DOCM document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_get_metadata_properties**](docs/EditDocumentApi.md#edit_document_docx_get_metadata_properties) | **POST** /convert/edit/docx/get-metadata | Get all metadata properties in Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_get_sections**](docs/EditDocumentApi.md#edit_document_docx_get_sections) | **POST** /convert/edit/docx/get-sections | Get sections from a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_get_styles**](docs/EditDocumentApi.md#edit_document_docx_get_styles) | **POST** /convert/edit/docx/get-styles | Get styles from a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_get_table_by_index**](docs/EditDocumentApi.md#edit_document_docx_get_table_by_index) | **POST** /convert/edit/docx/get-table/by-index | Get a specific table by index in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_get_table_row**](docs/EditDocumentApi.md#edit_document_docx_get_table_row) | **POST** /convert/edit/docx/get-table-row | Gets the contents of an existing table row in an existing table in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_get_tables**](docs/EditDocumentApi.md#edit_document_docx_get_tables) | **POST** /convert/edit/docx/get-tables | Get all tables in Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_insert_comment_on_paragraph**](docs/EditDocumentApi.md#edit_document_docx_insert_comment_on_paragraph) | **POST** /convert/edit/docx/insert-comment/on/paragraph | Insert a new comment into a Word DOCX document attached to a paragraph
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_insert_image**](docs/EditDocumentApi.md#edit_document_docx_insert_image) | **POST** /convert/edit/docx/insert-image | Insert image into a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_insert_paragraph**](docs/EditDocumentApi.md#edit_document_docx_insert_paragraph) | **POST** /convert/edit/docx/insert-paragraph | Insert a new paragraph into a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_insert_table**](docs/EditDocumentApi.md#edit_document_docx_insert_table) | **POST** /convert/edit/docx/insert-table | Insert a new table into a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_insert_table_row**](docs/EditDocumentApi.md#edit_document_docx_insert_table_row) | **POST** /convert/edit/docx/insert-table-row | Insert a new row into an existing table in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_pages**](docs/EditDocumentApi.md#edit_document_docx_pages) | **POST** /convert/edit/docx/get-pages | Get pages and content from a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_remove_all_comments**](docs/EditDocumentApi.md#edit_document_docx_remove_all_comments) | **POST** /convert/edit/docx/comments/remove-all | Remove all comments from a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_remove_headers_and_footers**](docs/EditDocumentApi.md#edit_document_docx_remove_headers_and_footers) | **POST** /convert/edit/docx/remove-headers-and-footers | Remove headers and footers from Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_remove_object**](docs/EditDocumentApi.md#edit_document_docx_remove_object) | **POST** /convert/edit/docx/remove-object | Delete any object in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_replace**](docs/EditDocumentApi.md#edit_document_docx_replace) | **POST** /convert/edit/docx/replace-all | Replace string in Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_replace_multi**](docs/EditDocumentApi.md#edit_document_docx_replace_multi) | **POST** /convert/edit/docx/replace-all/multi | Replace multiple strings in Word DOCX document, return result
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_replace_multi_edit_session**](docs/EditDocumentApi.md#edit_document_docx_replace_multi_edit_session) | **POST** /convert/edit/docx/replace-all/multi/edit-session | Replace multiple strings in Word DOCX document, return edit session
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_replace_paragraph**](docs/EditDocumentApi.md#edit_document_docx_replace_paragraph) | **POST** /convert/edit/docx/replace/paragraph | Replace matching paragraphs in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_set_custom_metadata_properties**](docs/EditDocumentApi.md#edit_document_docx_set_custom_metadata_properties) | **POST** /convert/edit/docx/set-metadata/custom-property | Set custom property metadata properties in Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_set_footer**](docs/EditDocumentApi.md#edit_document_docx_set_footer) | **POST** /convert/edit/docx/set-footer | Set the footer in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_set_footer_add_page_number**](docs/EditDocumentApi.md#edit_document_docx_set_footer_add_page_number) | **POST** /convert/edit/docx/set-footer/add-page-number | Add page number to footer in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_set_form_fields**](docs/EditDocumentApi.md#edit_document_docx_set_form_fields) | **POST** /convert/edit/docx/set-form-fields | Set and fill values for form fields in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_set_header**](docs/EditDocumentApi.md#edit_document_docx_set_header) | **POST** /convert/edit/docx/set-header | Set the header in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_update_table_cell**](docs/EditDocumentApi.md#edit_document_docx_update_table_cell) | **POST** /convert/edit/docx/update-table-cell | Update, set contents of a table cell in an existing table in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_docx_update_table_row**](docs/EditDocumentApi.md#edit_document_docx_update_table_row) | **POST** /convert/edit/docx/update-table-row | Update, set contents of a table row in an existing table in a Word DOCX document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_finish_editing**](docs/EditDocumentApi.md#edit_document_finish_editing) | **POST** /convert/edit/finish-editing | Finish editing document, and download result from document editing
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_pptx_delete_slides**](docs/EditDocumentApi.md#edit_document_pptx_delete_slides) | **POST** /convert/edit/pptx/delete-slides | Delete, remove slides from a PowerPoint PPTX presentation document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_pptx_get_macro_information**](docs/EditDocumentApi.md#edit_document_pptx_get_macro_information) | **POST** /convert/edit/pptx/get-macros | Get macro information from a PowerPoint PPTX/PPTM presentation document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_pptx_replace**](docs/EditDocumentApi.md#edit_document_pptx_replace) | **POST** /convert/edit/pptx/replace-all | Replace string in PowerPoint PPTX presentation
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_append_row**](docs/EditDocumentApi.md#edit_document_xlsx_append_row) | **POST** /convert/edit/xlsx/append-row | Append row to a Excel XLSX spreadsheet, worksheet
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_clear_cell_by_index**](docs/EditDocumentApi.md#edit_document_xlsx_clear_cell_by_index) | **POST** /convert/edit/xlsx/clear-cell/by-index | Clear cell contents in an Excel XLSX spreadsheet, worksheet by index
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_clear_row**](docs/EditDocumentApi.md#edit_document_xlsx_clear_row) | **POST** /convert/edit/xlsx/clear-row | Clear row from a Excel XLSX spreadsheet, worksheet
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_create_blank_spreadsheet**](docs/EditDocumentApi.md#edit_document_xlsx_create_blank_spreadsheet) | **POST** /convert/edit/xlsx/create/blank | Create a blank Excel XLSX spreadsheet
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_create_spreadsheet_from_data**](docs/EditDocumentApi.md#edit_document_xlsx_create_spreadsheet_from_data) | **POST** /convert/edit/xlsx/create/from/data | Create a new Excel XLSX spreadsheet from column and row data
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_delete_worksheet**](docs/EditDocumentApi.md#edit_document_xlsx_delete_worksheet) | **POST** /convert/edit/xlsx/delete-worksheet | Delete, remove worksheet from an Excel XLSX spreadsheet document
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_disable_shared_workbook**](docs/EditDocumentApi.md#edit_document_xlsx_disable_shared_workbook) | **POST** /convert/edit/xlsx/configuration/disable-shared-workbook | Disable Shared Workbook (legacy) in Excel XLSX spreadsheet
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_enable_shared_workbook**](docs/EditDocumentApi.md#edit_document_xlsx_enable_shared_workbook) | **POST** /convert/edit/xlsx/configuration/enable-shared-workbook | Enable Shared Workbook (legacy) in Excel XLSX spreadsheet
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_get_cell_by_identifier**](docs/EditDocumentApi.md#edit_document_xlsx_get_cell_by_identifier) | **POST** /convert/edit/xlsx/get-cell/by-identifier | Get cell from an Excel XLSX spreadsheet, worksheet by cell identifier
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_get_cell_by_index**](docs/EditDocumentApi.md#edit_document_xlsx_get_cell_by_index) | **POST** /convert/edit/xlsx/get-cell/by-index | Get cell from an Excel XLSX spreadsheet, worksheet by index
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_get_columns**](docs/EditDocumentApi.md#edit_document_xlsx_get_columns) | **POST** /convert/edit/xlsx/get-columns | Get columns from a Excel XLSX spreadsheet, worksheet
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_get_images**](docs/EditDocumentApi.md#edit_document_xlsx_get_images) | **POST** /convert/edit/xlsx/get-images | Get images from a Excel XLSX spreadsheet, worksheet
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_get_macro_information**](docs/EditDocumentApi.md#edit_document_xlsx_get_macro_information) | **POST** /convert/edit/xlsx/get-macros | Get macro information from a Excel XLSX/XLSM spreadsheet, worksheet
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_get_rows_and_cells**](docs/EditDocumentApi.md#edit_document_xlsx_get_rows_and_cells) | **POST** /convert/edit/xlsx/get-rows-and-cells | Get rows and cells from a Excel XLSX spreadsheet, worksheet
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_get_specific_row**](docs/EditDocumentApi.md#edit_document_xlsx_get_specific_row) | **POST** /convert/edit/xlsx/get-specific-row | Get a specific row from a Excel XLSX spreadsheet, worksheet by path
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_get_styles**](docs/EditDocumentApi.md#edit_document_xlsx_get_styles) | **POST** /convert/edit/xlsx/get-styles | Get styles from a Excel XLSX spreadsheet, worksheet
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_get_worksheets**](docs/EditDocumentApi.md#edit_document_xlsx_get_worksheets) | **POST** /convert/edit/xlsx/get-worksheets | Get worksheets from a Excel XLSX spreadsheet
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_insert_worksheet**](docs/EditDocumentApi.md#edit_document_xlsx_insert_worksheet) | **POST** /convert/edit/xlsx/insert-worksheet | Insert a new worksheet into an Excel XLSX spreadsheet
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_rename_worksheet**](docs/EditDocumentApi.md#edit_document_xlsx_rename_worksheet) | **POST** /convert/edit/xlsx/rename-worksheet | Rename a specific worksheet in a Excel XLSX spreadsheet
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_set_cell_by_identifier**](docs/EditDocumentApi.md#edit_document_xlsx_set_cell_by_identifier) | **POST** /convert/edit/xlsx/set-cell/by-identifier | Set, update cell contents in an Excel XLSX spreadsheet, worksheet by cell identifier
*CloudmersiveConvertApiClient::EditDocumentApi* | [**edit_document_xlsx_set_cell_by_index**](docs/EditDocumentApi.md#edit_document_xlsx_set_cell_by_index) | **POST** /convert/edit/xlsx/set-cell/by-index | Set, update cell contents in an Excel XLSX spreadsheet, worksheet by index
*CloudmersiveConvertApiClient::EditHtmlApi* | [**edit_html_html_append_header_tag**](docs/EditHtmlApi.md#edit_html_html_append_header_tag) | **POST** /convert/edit/html/head/append/tag | Append an HTML tag to the HEAD section of an HTML Document
*CloudmersiveConvertApiClient::EditHtmlApi* | [**edit_html_html_append_heading**](docs/EditHtmlApi.md#edit_html_html_append_heading) | **POST** /convert/edit/html/append/heading | Append a Heading to an HTML Document
*CloudmersiveConvertApiClient::EditHtmlApi* | [**edit_html_html_append_image_from_url**](docs/EditHtmlApi.md#edit_html_html_append_image_from_url) | **POST** /convert/edit/html/append/image/from-url | Append an Image to an HTML Document from a URL
*CloudmersiveConvertApiClient::EditHtmlApi* | [**edit_html_html_append_image_inline**](docs/EditHtmlApi.md#edit_html_html_append_image_inline) | **POST** /convert/edit/html/append/image/inline | Append a Base64 Inline Image to an HTML Document
*CloudmersiveConvertApiClient::EditHtmlApi* | [**edit_html_html_append_paragraph**](docs/EditHtmlApi.md#edit_html_html_append_paragraph) | **POST** /convert/edit/html/append/paragraph | Append a Paragraph to an HTML Document
*CloudmersiveConvertApiClient::EditHtmlApi* | [**edit_html_html_create_blank_document**](docs/EditHtmlApi.md#edit_html_html_create_blank_document) | **POST** /convert/edit/html/create/blank | Create a Blank HTML Document
*CloudmersiveConvertApiClient::EditHtmlApi* | [**edit_html_html_get_language**](docs/EditHtmlApi.md#edit_html_html_get_language) | **POST** /convert/edit/html/head/get/language | Gets the language for the HTML document
*CloudmersiveConvertApiClient::EditHtmlApi* | [**edit_html_html_get_links**](docs/EditHtmlApi.md#edit_html_html_get_links) | **POST** /convert/edit/html/extract/links | Extract resolved link URLs from HTML File
*CloudmersiveConvertApiClient::EditHtmlApi* | [**edit_html_html_get_rel_canonical**](docs/EditHtmlApi.md#edit_html_html_get_rel_canonical) | **POST** /convert/edit/html/head/get/rel-canonical-url | Gets the rel canonical URL for the HTML document
*CloudmersiveConvertApiClient::EditHtmlApi* | [**edit_html_html_get_sitemap**](docs/EditHtmlApi.md#edit_html_html_get_sitemap) | **POST** /convert/edit/html/head/get/sitemap-url | Gets the sitemap URL for the HTML document
*CloudmersiveConvertApiClient::EditHtmlApi* | [**edit_html_html_set_language**](docs/EditHtmlApi.md#edit_html_html_set_language) | **POST** /convert/edit/html/head/set/language | Sets the language for the HTML document
*CloudmersiveConvertApiClient::EditHtmlApi* | [**edit_html_html_set_rel_canonical**](docs/EditHtmlApi.md#edit_html_html_set_rel_canonical) | **POST** /convert/edit/html/head/set/rel-canonical-url | Sets the rel canonical URL for the HTML document
*CloudmersiveConvertApiClient::EditHtmlApi* | [**edit_html_html_set_sitemap_url**](docs/EditHtmlApi.md#edit_html_html_set_sitemap_url) | **POST** /convert/edit/html/head/set/sitemap-url | Sets the sitemap URL for the HTML document
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_add_annotations**](docs/EditPdfApi.md#edit_pdf_add_annotations) | **POST** /convert/edit/pdf/annotations/add-item | Add one or more PDF annotations, comments in the PDF document
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_convert_to_pdf_a**](docs/EditPdfApi.md#edit_pdf_convert_to_pdf_a) | **POST** /convert/edit/pdf/optimize/pdf-a | Convert a PDF file to PDF/A
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_decrypt**](docs/EditPdfApi.md#edit_pdf_decrypt) | **POST** /convert/edit/pdf/decrypt | Decrypt and password-protect a PDF
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_delete_pages**](docs/EditPdfApi.md#edit_pdf_delete_pages) | **POST** /convert/edit/pdf/pages/delete | Remove, delete pages from a PDF document
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_encrypt**](docs/EditPdfApi.md#edit_pdf_encrypt) | **POST** /convert/edit/pdf/encrypt | Encrypt and password-protect a PDF
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_get_annotations**](docs/EditPdfApi.md#edit_pdf_get_annotations) | **POST** /convert/edit/pdf/annotations/list | Get PDF annotations, including comments in the document
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_get_form_fields**](docs/EditPdfApi.md#edit_pdf_get_form_fields) | **POST** /convert/edit/pdf/form/get-fields | Gets PDF Form fields and values
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_get_metadata**](docs/EditPdfApi.md#edit_pdf_get_metadata) | **POST** /convert/edit/pdf/get-metadata | Get PDF document metadata
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_get_pdf_text_by_pages**](docs/EditPdfApi.md#edit_pdf_get_pdf_text_by_pages) | **POST** /convert/edit/pdf/pages/get-text | Get text in a PDF document by page
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_insert_pages**](docs/EditPdfApi.md#edit_pdf_insert_pages) | **POST** /convert/edit/pdf/pages/insert | Insert, copy pages from one PDF document into another
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_linearize**](docs/EditPdfApi.md#edit_pdf_linearize) | **POST** /convert/edit/pdf/optimize/linearize | Linearize and optimize a PDF for streaming download
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_rasterize**](docs/EditPdfApi.md#edit_pdf_rasterize) | **POST** /convert/edit/pdf/rasterize | Rasterize a PDF to an image-based PDF
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_reduce_file_size**](docs/EditPdfApi.md#edit_pdf_reduce_file_size) | **POST** /convert/edit/pdf/optimize/reduce-file-size | Reduce the file size and optimize a PDF
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_remove_all_annotations**](docs/EditPdfApi.md#edit_pdf_remove_all_annotations) | **POST** /convert/edit/pdf/annotations/remove-all | Remove all PDF annotations, including comments in the document
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_remove_annotation_item**](docs/EditPdfApi.md#edit_pdf_remove_annotation_item) | **POST** /convert/edit/pdf/annotations/remove-item | Remove a specific PDF annotation, comment in the document
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_resize**](docs/EditPdfApi.md#edit_pdf_resize) | **POST** /convert/edit/pdf/resize | Change PDF Document's Paper Size
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_rotate_all_pages**](docs/EditPdfApi.md#edit_pdf_rotate_all_pages) | **POST** /convert/edit/pdf/pages/rotate/all | Rotate all pages in a PDF document
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_rotate_page_range**](docs/EditPdfApi.md#edit_pdf_rotate_page_range) | **POST** /convert/edit/pdf/pages/rotate/page-range | Rotate a range, subset of pages in a PDF document
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_set_form_fields**](docs/EditPdfApi.md#edit_pdf_set_form_fields) | **POST** /convert/edit/pdf/form/set-fields | Sets ands fills PDF Form field values
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_set_metadata**](docs/EditPdfApi.md#edit_pdf_set_metadata) | **POST** /convert/edit/pdf/set-metadata | Sets PDF document metadata
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_set_permissions**](docs/EditPdfApi.md#edit_pdf_set_permissions) | **POST** /convert/edit/pdf/encrypt/set-permissions | Encrypt, password-protect and set restricted permissions on a PDF
*CloudmersiveConvertApiClient::EditPdfApi* | [**edit_pdf_watermark_text**](docs/EditPdfApi.md#edit_pdf_watermark_text) | **POST** /convert/edit/pdf/watermark/text | Add a text watermark to a PDF
*CloudmersiveConvertApiClient::EditTextApi* | [**edit_text_base64_decode**](docs/EditTextApi.md#edit_text_base64_decode) | **POST** /convert/edit/text/encoding/base64/decode | Base 64 decode, convert base 64 string to binary content
*CloudmersiveConvertApiClient::EditTextApi* | [**edit_text_base64_detect**](docs/EditTextApi.md#edit_text_base64_detect) | **POST** /convert/edit/text/encoding/base64/detect | Detect, check if text string is base 64 encoded
*CloudmersiveConvertApiClient::EditTextApi* | [**edit_text_base64_encode**](docs/EditTextApi.md#edit_text_base64_encode) | **POST** /convert/edit/text/encoding/base64/encode | Base 64 encode, convert binary or file data to a text string
*CloudmersiveConvertApiClient::EditTextApi* | [**edit_text_change_line_endings**](docs/EditTextApi.md#edit_text_change_line_endings) | **POST** /convert/edit/text/line-endings/change | Set, change line endings of a text file
*CloudmersiveConvertApiClient::EditTextApi* | [**edit_text_detect_line_endings**](docs/EditTextApi.md#edit_text_detect_line_endings) | **POST** /convert/edit/text/line-endings/detect | Detect line endings of a text file
*CloudmersiveConvertApiClient::EditTextApi* | [**edit_text_find_regex**](docs/EditTextApi.md#edit_text_find_regex) | **POST** /convert/edit/text/find/regex | Find a regular expression regex in text input
*CloudmersiveConvertApiClient::EditTextApi* | [**edit_text_find_simple**](docs/EditTextApi.md#edit_text_find_simple) | **POST** /convert/edit/text/find/string | Find a string in text input
*CloudmersiveConvertApiClient::EditTextApi* | [**edit_text_remove_all_whitespace**](docs/EditTextApi.md#edit_text_remove_all_whitespace) | **POST** /convert/edit/text/remove/whitespace/all | Remove whitespace from text string
*CloudmersiveConvertApiClient::EditTextApi* | [**edit_text_remove_html**](docs/EditTextApi.md#edit_text_remove_html) | **POST** /convert/edit/text/remove/html | Remove HTML from text string
*CloudmersiveConvertApiClient::EditTextApi* | [**edit_text_replace_regex**](docs/EditTextApi.md#edit_text_replace_regex) | **POST** /convert/edit/text/replace/regex | Replace a string in text with a regex regular expression string
*CloudmersiveConvertApiClient::EditTextApi* | [**edit_text_replace_simple**](docs/EditTextApi.md#edit_text_replace_simple) | **POST** /convert/edit/text/replace/string | Replace a string in text with another string value
*CloudmersiveConvertApiClient::EditTextApi* | [**edit_text_text_encoding_detect**](docs/EditTextApi.md#edit_text_text_encoding_detect) | **POST** /convert/edit/text/encoding/detect | Detect text encoding of file
*CloudmersiveConvertApiClient::EditTextApi* | [**edit_text_trim_whitespace**](docs/EditTextApi.md#edit_text_trim_whitespace) | **POST** /convert/edit/text/remove/whitespace/trim | Trim leading and trailing whitespace from text string
*CloudmersiveConvertApiClient::MergeDocumentApi* | [**merge_document_docx**](docs/MergeDocumentApi.md#merge_document_docx) | **POST** /convert/merge/docx | Merge Two Word DOCX Together
*CloudmersiveConvertApiClient::MergeDocumentApi* | [**merge_document_docx_multi**](docs/MergeDocumentApi.md#merge_document_docx_multi) | **POST** /convert/merge/docx/multi | Merge Multple Word DOCX Together
*CloudmersiveConvertApiClient::MergeDocumentApi* | [**merge_document_html**](docs/MergeDocumentApi.md#merge_document_html) | **POST** /convert/merge/html | Merge Two HTML (HTM) Files Together
*CloudmersiveConvertApiClient::MergeDocumentApi* | [**merge_document_html_multi**](docs/MergeDocumentApi.md#merge_document_html_multi) | **POST** /convert/merge/html/multi | Merge Multple HTML (HTM) Files Together
*CloudmersiveConvertApiClient::MergeDocumentApi* | [**merge_document_pdf**](docs/MergeDocumentApi.md#merge_document_pdf) | **POST** /convert/merge/pdf | Merge Two PDF Files Together
*CloudmersiveConvertApiClient::MergeDocumentApi* | [**merge_document_pdf_multi**](docs/MergeDocumentApi.md#merge_document_pdf_multi) | **POST** /convert/merge/pdf/multi | Merge Multple PDF Files Together
*CloudmersiveConvertApiClient::MergeDocumentApi* | [**merge_document_png**](docs/MergeDocumentApi.md#merge_document_png) | **POST** /convert/merge/png/vertical | Merge Two PNG Files Together
*CloudmersiveConvertApiClient::MergeDocumentApi* | [**merge_document_png_multi**](docs/MergeDocumentApi.md#merge_document_png_multi) | **POST** /convert/merge/png/vertical/multi | Merge Multple PNG Files Together
*CloudmersiveConvertApiClient::MergeDocumentApi* | [**merge_document_pptx**](docs/MergeDocumentApi.md#merge_document_pptx) | **POST** /convert/merge/pptx | Merge Two PowerPoint PPTX Together
*CloudmersiveConvertApiClient::MergeDocumentApi* | [**merge_document_pptx_multi**](docs/MergeDocumentApi.md#merge_document_pptx_multi) | **POST** /convert/merge/pptx/multi | Merge Multple PowerPoint PPTX Together
*CloudmersiveConvertApiClient::MergeDocumentApi* | [**merge_document_txt**](docs/MergeDocumentApi.md#merge_document_txt) | **POST** /convert/merge/txt | Merge Two Text (TXT) Files Together
*CloudmersiveConvertApiClient::MergeDocumentApi* | [**merge_document_txt_multi**](docs/MergeDocumentApi.md#merge_document_txt_multi) | **POST** /convert/merge/txt/multi | Merge Multple Text (TXT) Files Together
*CloudmersiveConvertApiClient::MergeDocumentApi* | [**merge_document_xlsx**](docs/MergeDocumentApi.md#merge_document_xlsx) | **POST** /convert/merge/xlsx | Merge Two Excel XLSX Together
*CloudmersiveConvertApiClient::MergeDocumentApi* | [**merge_document_xlsx_multi**](docs/MergeDocumentApi.md#merge_document_xlsx_multi) | **POST** /convert/merge/xlsx/multi | Merge Multple Excel XLSX Together
*CloudmersiveConvertApiClient::SplitDocumentApi* | [**split_document_docx**](docs/SplitDocumentApi.md#split_document_docx) | **POST** /convert/split/docx | Split a single Word Document DOCX into Separate Documents by Page
*CloudmersiveConvertApiClient::SplitDocumentApi* | [**split_document_pdf_by_page**](docs/SplitDocumentApi.md#split_document_pdf_by_page) | **POST** /convert/split/pdf | Split a PDF file into separate PDF files, one per page
*CloudmersiveConvertApiClient::SplitDocumentApi* | [**split_document_pptx**](docs/SplitDocumentApi.md#split_document_pptx) | **POST** /convert/split/pptx | Split a single PowerPoint Presentation PPTX into Separate Slides
*CloudmersiveConvertApiClient::SplitDocumentApi* | [**split_document_txt_by_line**](docs/SplitDocumentApi.md#split_document_txt_by_line) | **POST** /convert/split/txt/by-line | Split a single Text file (txt) into lines
*CloudmersiveConvertApiClient::SplitDocumentApi* | [**split_document_txt_by_string**](docs/SplitDocumentApi.md#split_document_txt_by_string) | **POST** /convert/split/txt/by-string | Split a single Text file (txt) by a string delimiter
*CloudmersiveConvertApiClient::SplitDocumentApi* | [**split_document_xlsx**](docs/SplitDocumentApi.md#split_document_xlsx) | **POST** /convert/split/xlsx | Split a single Excel XLSX into Separate Worksheets
*CloudmersiveConvertApiClient::TransformDocumentApi* | [**transform_document_docx_replace**](docs/TransformDocumentApi.md#transform_document_docx_replace) | **POST** /convert/transform/docx/replace-all | Replace string in Word DOCX document, return result
*CloudmersiveConvertApiClient::TransformDocumentApi* | [**transform_document_docx_replace_edit_session**](docs/TransformDocumentApi.md#transform_document_docx_replace_edit_session) | **POST** /convert/transform/docx/replace-all/edit-session | Replace string in Word DOCX document, return edit session
*CloudmersiveConvertApiClient::TransformDocumentApi* | [**transform_document_docx_table_fill_in**](docs/TransformDocumentApi.md#transform_document_docx_table_fill_in) | **POST** /convert/transform/docx/table/fill/data | Fill in data in a table in a Word DOCX document, return result
*CloudmersiveConvertApiClient::TransformDocumentApi* | [**transform_document_docx_table_fill_in_edit_session**](docs/TransformDocumentApi.md#transform_document_docx_table_fill_in_edit_session) | **POST** /convert/transform/docx/table/fill/data/edit-session | Fill in data in a table in a Word DOCX document, return edit session
*CloudmersiveConvertApiClient::TransformDocumentApi* | [**transform_document_docx_table_fill_in_multi**](docs/TransformDocumentApi.md#transform_document_docx_table_fill_in_multi) | **POST** /convert/transform/docx/table/fill/data/multi | Fill in data in multiple tables in a Word DOCX document, return result
*CloudmersiveConvertApiClient::TransformDocumentApi* | [**transform_document_pptx_replace**](docs/TransformDocumentApi.md#transform_document_pptx_replace) | **POST** /convert/transform/pptx/replace-all | Replace string in PowerPoint PPTX presentation, return result
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_autodetect_validation**](docs/ValidateDocumentApi.md#validate_document_autodetect_validation) | **POST** /convert/validate/autodetect | Autodetect content type and validate
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_csv_validation**](docs/ValidateDocumentApi.md#validate_document_csv_validation) | **POST** /convert/validate/csv | Validate a CSV file document (CSV)
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_docx_validation**](docs/ValidateDocumentApi.md#validate_document_docx_validation) | **POST** /convert/validate/docx | Validate a Word document (DOCX)
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_eml_validation**](docs/ValidateDocumentApi.md#validate_document_eml_validation) | **POST** /convert/validate/eml | Validate if an EML file is executable
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_executable_validation**](docs/ValidateDocumentApi.md#validate_document_executable_validation) | **POST** /convert/validate/executable | Validate if a file is executable
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_g_zip_validation**](docs/ValidateDocumentApi.md#validate_document_g_zip_validation) | **POST** /convert/validate/gzip | Validate a GZip Archive file (gzip or gz)
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_html_ssrf_validation**](docs/ValidateDocumentApi.md#validate_document_html_ssrf_validation) | **POST** /convert/validate/html/ssrf-threat-check | Validate an HTML file and checks for SSRF threats
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_html_validation**](docs/ValidateDocumentApi.md#validate_document_html_validation) | **POST** /convert/validate/html | Validate an HTML file
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_image_validation**](docs/ValidateDocumentApi.md#validate_document_image_validation) | **POST** /convert/validate/image | Validate an Image File
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_jpg_validation**](docs/ValidateDocumentApi.md#validate_document_jpg_validation) | **POST** /convert/validate/jpg | Validate a JPG File
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_json_validation**](docs/ValidateDocumentApi.md#validate_document_json_validation) | **POST** /convert/validate/json | Validate a JSON file
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_msg_validation**](docs/ValidateDocumentApi.md#validate_document_msg_validation) | **POST** /convert/validate/msg | Validate if an MSG file is executable
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_pdf_validation**](docs/ValidateDocumentApi.md#validate_document_pdf_validation) | **POST** /convert/validate/pdf | Validate a PDF document file
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_png_validation**](docs/ValidateDocumentApi.md#validate_document_png_validation) | **POST** /convert/validate/png | Validate a PNG File
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_pptx_validation**](docs/ValidateDocumentApi.md#validate_document_pptx_validation) | **POST** /convert/validate/pptx | Validate a PowerPoint presentation (PPTX)
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_rar_validation**](docs/ValidateDocumentApi.md#validate_document_rar_validation) | **POST** /convert/validate/rar | Validate a RAR Archive file (RAR)
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_tar_validation**](docs/ValidateDocumentApi.md#validate_document_tar_validation) | **POST** /convert/validate/tar | Validate a TAR Tarball Archive file (TAR)
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_txt_validation**](docs/ValidateDocumentApi.md#validate_document_txt_validation) | **POST** /convert/validate/txt | Validate an TXT file
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_xlsx_validation**](docs/ValidateDocumentApi.md#validate_document_xlsx_validation) | **POST** /convert/validate/xlsx | Validate a Excel document (XLSX)
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_xml_validation**](docs/ValidateDocumentApi.md#validate_document_xml_validation) | **POST** /convert/validate/xml | Validate an XML file
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_xml_xxe_threat_validation**](docs/ValidateDocumentApi.md#validate_document_xml_xxe_threat_validation) | **POST** /convert/validate/xml/xxe-threats | Validate an XML file for XML External Entity (XXE) threats
*CloudmersiveConvertApiClient::ValidateDocumentApi* | [**validate_document_zip_validation**](docs/ValidateDocumentApi.md#validate_document_zip_validation) | **POST** /convert/validate/zip | Validate a Zip Archive file (zip)
*CloudmersiveConvertApiClient::ViewerToolsApi* | [**viewer_tools_create_simple**](docs/ViewerToolsApi.md#viewer_tools_create_simple) | **POST** /convert/viewer/create/web/simple | Create a web-based viewer
*CloudmersiveConvertApiClient::ZipArchiveApi* | [**zip_archive_zip_create**](docs/ZipArchiveApi.md#zip_archive_zip_create) | **POST** /convert/archive/zip/create | Compress files to create a new zip archive
*CloudmersiveConvertApiClient::ZipArchiveApi* | [**zip_archive_zip_create_advanced**](docs/ZipArchiveApi.md#zip_archive_zip_create_advanced) | **POST** /convert/archive/zip/create/advanced | Compress files and folders to create a new zip archive with advanced options
*CloudmersiveConvertApiClient::ZipArchiveApi* | [**zip_archive_zip_create_encrypted**](docs/ZipArchiveApi.md#zip_archive_zip_create_encrypted) | **POST** /convert/archive/zip/create/encrypted | Compress files to create a new, encrypted and password-protected zip archive
*CloudmersiveConvertApiClient::ZipArchiveApi* | [**zip_archive_zip_create_quarantine**](docs/ZipArchiveApi.md#zip_archive_zip_create_quarantine) | **POST** /convert/archive/zip/create/quarantine | Create an encrypted zip file to quarantine a dangerous file
*CloudmersiveConvertApiClient::ZipArchiveApi* | [**zip_archive_zip_decrypt**](docs/ZipArchiveApi.md#zip_archive_zip_decrypt) | **POST** /convert/archive/zip/decrypt | Decrypt and remove password protection on a zip file
*CloudmersiveConvertApiClient::ZipArchiveApi* | [**zip_archive_zip_encrypt_advanced**](docs/ZipArchiveApi.md#zip_archive_zip_encrypt_advanced) | **POST** /convert/archive/zip/encrypt/advanced | Encrypt and password protect a zip file
*CloudmersiveConvertApiClient::ZipArchiveApi* | [**zip_archive_zip_extract**](docs/ZipArchiveApi.md#zip_archive_zip_extract) | **POST** /convert/archive/zip/extract | Extract, decompress files and folders from a zip archive


## Documentation for Models

 - [CloudmersiveConvertApiClient::AddPdfAnnotationRequest](docs/AddPdfAnnotationRequest.md)
 - [CloudmersiveConvertApiClient::AlternateFileFormatCandidate](docs/AlternateFileFormatCandidate.md)
 - [CloudmersiveConvertApiClient::AppendXlsxRowRequest](docs/AppendXlsxRowRequest.md)
 - [CloudmersiveConvertApiClient::AppendXlsxRowResponse](docs/AppendXlsxRowResponse.md)
 - [CloudmersiveConvertApiClient::AutodetectDocumentValidationResult](docs/AutodetectDocumentValidationResult.md)
 - [CloudmersiveConvertApiClient::AutodetectGetInfoResult](docs/AutodetectGetInfoResult.md)
 - [CloudmersiveConvertApiClient::AutodetectToJpgResult](docs/AutodetectToJpgResult.md)
 - [CloudmersiveConvertApiClient::AutodetectToPngResult](docs/AutodetectToPngResult.md)
 - [CloudmersiveConvertApiClient::AutodetectToThumbnailsResult](docs/AutodetectToThumbnailsResult.md)
 - [CloudmersiveConvertApiClient::Base64DecodeRequest](docs/Base64DecodeRequest.md)
 - [CloudmersiveConvertApiClient::Base64DecodeResponse](docs/Base64DecodeResponse.md)
 - [CloudmersiveConvertApiClient::Base64DetectRequest](docs/Base64DetectRequest.md)
 - [CloudmersiveConvertApiClient::Base64DetectResponse](docs/Base64DetectResponse.md)
 - [CloudmersiveConvertApiClient::Base64EncodeRequest](docs/Base64EncodeRequest.md)
 - [CloudmersiveConvertApiClient::Base64EncodeResponse](docs/Base64EncodeResponse.md)
 - [CloudmersiveConvertApiClient::ChangeLineEndingResponse](docs/ChangeLineEndingResponse.md)
 - [CloudmersiveConvertApiClient::ClearXlsxCellRequest](docs/ClearXlsxCellRequest.md)
 - [CloudmersiveConvertApiClient::ClearXlsxCellResponse](docs/ClearXlsxCellResponse.md)
 - [CloudmersiveConvertApiClient::ClearXlsxRowRequest](docs/ClearXlsxRowRequest.md)
 - [CloudmersiveConvertApiClient::ClearXlsxRowResponse](docs/ClearXlsxRowResponse.md)
 - [CloudmersiveConvertApiClient::ConvertedJpgPage](docs/ConvertedJpgPage.md)
 - [CloudmersiveConvertApiClient::ConvertedPngPage](docs/ConvertedPngPage.md)
 - [CloudmersiveConvertApiClient::CreateBlankDocxRequest](docs/CreateBlankDocxRequest.md)
 - [CloudmersiveConvertApiClient::CreateBlankDocxResponse](docs/CreateBlankDocxResponse.md)
 - [CloudmersiveConvertApiClient::CreateBlankSpreadsheetRequest](docs/CreateBlankSpreadsheetRequest.md)
 - [CloudmersiveConvertApiClient::CreateBlankSpreadsheetResponse](docs/CreateBlankSpreadsheetResponse.md)
 - [CloudmersiveConvertApiClient::CreateSpreadsheetFromDataRequest](docs/CreateSpreadsheetFromDataRequest.md)
 - [CloudmersiveConvertApiClient::CreateSpreadsheetFromDataResponse](docs/CreateSpreadsheetFromDataResponse.md)
 - [CloudmersiveConvertApiClient::CreateZipArchiveRequest](docs/CreateZipArchiveRequest.md)
 - [CloudmersiveConvertApiClient::CsvCollection](docs/CsvCollection.md)
 - [CloudmersiveConvertApiClient::CsvFileResult](docs/CsvFileResult.md)
 - [CloudmersiveConvertApiClient::DeleteDocxTableRowRangeRequest](docs/DeleteDocxTableRowRangeRequest.md)
 - [CloudmersiveConvertApiClient::DeleteDocxTableRowRangeResponse](docs/DeleteDocxTableRowRangeResponse.md)
 - [CloudmersiveConvertApiClient::DeleteDocxTableRowRequest](docs/DeleteDocxTableRowRequest.md)
 - [CloudmersiveConvertApiClient::DeleteDocxTableRowResponse](docs/DeleteDocxTableRowResponse.md)
 - [CloudmersiveConvertApiClient::DetectLineEndingsResponse](docs/DetectLineEndingsResponse.md)
 - [CloudmersiveConvertApiClient::DisableSharedWorkbookRequest](docs/DisableSharedWorkbookRequest.md)
 - [CloudmersiveConvertApiClient::DisableSharedWorkbookResponse](docs/DisableSharedWorkbookResponse.md)
 - [CloudmersiveConvertApiClient::DocumentEditingEditSession](docs/DocumentEditingEditSession.md)
 - [CloudmersiveConvertApiClient::DocumentTransformEditSession](docs/DocumentTransformEditSession.md)
 - [CloudmersiveConvertApiClient::DocumentValidationError](docs/DocumentValidationError.md)
 - [CloudmersiveConvertApiClient::DocumentValidationResult](docs/DocumentValidationResult.md)
 - [CloudmersiveConvertApiClient::DocxBody](docs/DocxBody.md)
 - [CloudmersiveConvertApiClient::DocxCellStyle](docs/DocxCellStyle.md)
 - [CloudmersiveConvertApiClient::DocxComment](docs/DocxComment.md)
 - [CloudmersiveConvertApiClient::DocxContentControl](docs/DocxContentControl.md)
 - [CloudmersiveConvertApiClient::DocxFooter](docs/DocxFooter.md)
 - [CloudmersiveConvertApiClient::DocxHeader](docs/DocxHeader.md)
 - [CloudmersiveConvertApiClient::DocxImage](docs/DocxImage.md)
 - [CloudmersiveConvertApiClient::DocxInsertCommentOnParagraphRequest](docs/DocxInsertCommentOnParagraphRequest.md)
 - [CloudmersiveConvertApiClient::DocxInsertImageRequest](docs/DocxInsertImageRequest.md)
 - [CloudmersiveConvertApiClient::DocxInsertImageResponse](docs/DocxInsertImageResponse.md)
 - [CloudmersiveConvertApiClient::DocxMetadataCustomProperty](docs/DocxMetadataCustomProperty.md)
 - [CloudmersiveConvertApiClient::DocxPage](docs/DocxPage.md)
 - [CloudmersiveConvertApiClient::DocxParagraph](docs/DocxParagraph.md)
 - [CloudmersiveConvertApiClient::DocxRemoveObjectRequest](docs/DocxRemoveObjectRequest.md)
 - [CloudmersiveConvertApiClient::DocxRemoveObjectResponse](docs/DocxRemoveObjectResponse.md)
 - [CloudmersiveConvertApiClient::DocxRun](docs/DocxRun.md)
 - [CloudmersiveConvertApiClient::DocxSection](docs/DocxSection.md)
 - [CloudmersiveConvertApiClient::DocxSetCustomMetadataPropertiesRequest](docs/DocxSetCustomMetadataPropertiesRequest.md)
 - [CloudmersiveConvertApiClient::DocxSetFooterAddPageNumberRequest](docs/DocxSetFooterAddPageNumberRequest.md)
 - [CloudmersiveConvertApiClient::DocxSetFooterRequest](docs/DocxSetFooterRequest.md)
 - [CloudmersiveConvertApiClient::DocxSetFooterResponse](docs/DocxSetFooterResponse.md)
 - [CloudmersiveConvertApiClient::DocxSetFormFieldsRequest](docs/DocxSetFormFieldsRequest.md)
 - [CloudmersiveConvertApiClient::DocxSetHeaderRequest](docs/DocxSetHeaderRequest.md)
 - [CloudmersiveConvertApiClient::DocxSetHeaderResponse](docs/DocxSetHeaderResponse.md)
 - [CloudmersiveConvertApiClient::DocxStyle](docs/DocxStyle.md)
 - [CloudmersiveConvertApiClient::DocxTable](docs/DocxTable.md)
 - [CloudmersiveConvertApiClient::DocxTableCell](docs/DocxTableCell.md)
 - [CloudmersiveConvertApiClient::DocxTableRow](docs/DocxTableRow.md)
 - [CloudmersiveConvertApiClient::DocxTableSingleTableFill](docs/DocxTableSingleTableFill.md)
 - [CloudmersiveConvertApiClient::DocxTableTableFillMultiRequest](docs/DocxTableTableFillMultiRequest.md)
 - [CloudmersiveConvertApiClient::DocxTableTableFillRequest](docs/DocxTableTableFillRequest.md)
 - [CloudmersiveConvertApiClient::DocxTableTableFillTableCell](docs/DocxTableTableFillTableCell.md)
 - [CloudmersiveConvertApiClient::DocxTableTableFillTableRow](docs/DocxTableTableFillTableRow.md)
 - [CloudmersiveConvertApiClient::DocxTemplateApplicationRequest](docs/DocxTemplateApplicationRequest.md)
 - [CloudmersiveConvertApiClient::DocxTemplateOperation](docs/DocxTemplateOperation.md)
 - [CloudmersiveConvertApiClient::DocxText](docs/DocxText.md)
 - [CloudmersiveConvertApiClient::DocxToJpgResult](docs/DocxToJpgResult.md)
 - [CloudmersiveConvertApiClient::DocxToPngResult](docs/DocxToPngResult.md)
 - [CloudmersiveConvertApiClient::DocxTopLevelComment](docs/DocxTopLevelComment.md)
 - [CloudmersiveConvertApiClient::EmlAttachment](docs/EmlAttachment.md)
 - [CloudmersiveConvertApiClient::EmlToHtmlResult](docs/EmlToHtmlResult.md)
 - [CloudmersiveConvertApiClient::EmlToJpgResult](docs/EmlToJpgResult.md)
 - [CloudmersiveConvertApiClient::EmlToPngResult](docs/EmlToPngResult.md)
 - [CloudmersiveConvertApiClient::EnableSharedWorkbookRequest](docs/EnableSharedWorkbookRequest.md)
 - [CloudmersiveConvertApiClient::EnableSharedWorkbookResponse](docs/EnableSharedWorkbookResponse.md)
 - [CloudmersiveConvertApiClient::ExifValue](docs/ExifValue.md)
 - [CloudmersiveConvertApiClient::FillHandlebarFormField](docs/FillHandlebarFormField.md)
 - [CloudmersiveConvertApiClient::FindDocxParagraphRequest](docs/FindDocxParagraphRequest.md)
 - [CloudmersiveConvertApiClient::FindDocxParagraphResponse](docs/FindDocxParagraphResponse.md)
 - [CloudmersiveConvertApiClient::FindRegexMatch](docs/FindRegexMatch.md)
 - [CloudmersiveConvertApiClient::FindStringMatch](docs/FindStringMatch.md)
 - [CloudmersiveConvertApiClient::FindStringRegexRequest](docs/FindStringRegexRequest.md)
 - [CloudmersiveConvertApiClient::FindStringRegexResponse](docs/FindStringRegexResponse.md)
 - [CloudmersiveConvertApiClient::FindStringSimpleRequest](docs/FindStringSimpleRequest.md)
 - [CloudmersiveConvertApiClient::FindStringSimpleResponse](docs/FindStringSimpleResponse.md)
 - [CloudmersiveConvertApiClient::FinishEditingRequest](docs/FinishEditingRequest.md)
 - [CloudmersiveConvertApiClient::GetDocxBodyRequest](docs/GetDocxBodyRequest.md)
 - [CloudmersiveConvertApiClient::GetDocxBodyResponse](docs/GetDocxBodyResponse.md)
 - [CloudmersiveConvertApiClient::GetDocxCommentsHierarchicalResponse](docs/GetDocxCommentsHierarchicalResponse.md)
 - [CloudmersiveConvertApiClient::GetDocxCommentsResponse](docs/GetDocxCommentsResponse.md)
 - [CloudmersiveConvertApiClient::GetDocxContentControlsResponse](docs/GetDocxContentControlsResponse.md)
 - [CloudmersiveConvertApiClient::GetDocxGetCommentsHierarchicalRequest](docs/GetDocxGetCommentsHierarchicalRequest.md)
 - [CloudmersiveConvertApiClient::GetDocxGetCommentsRequest](docs/GetDocxGetCommentsRequest.md)
 - [CloudmersiveConvertApiClient::GetDocxGetFormFieldsResponse](docs/GetDocxGetFormFieldsResponse.md)
 - [CloudmersiveConvertApiClient::GetDocxHeadersAndFootersRequest](docs/GetDocxHeadersAndFootersRequest.md)
 - [CloudmersiveConvertApiClient::GetDocxHeadersAndFootersResponse](docs/GetDocxHeadersAndFootersResponse.md)
 - [CloudmersiveConvertApiClient::GetDocxImagesRequest](docs/GetDocxImagesRequest.md)
 - [CloudmersiveConvertApiClient::GetDocxImagesResponse](docs/GetDocxImagesResponse.md)
 - [CloudmersiveConvertApiClient::GetDocxMetadataPropertiesResponse](docs/GetDocxMetadataPropertiesResponse.md)
 - [CloudmersiveConvertApiClient::GetDocxPagesRequest](docs/GetDocxPagesRequest.md)
 - [CloudmersiveConvertApiClient::GetDocxPagesResponse](docs/GetDocxPagesResponse.md)
 - [CloudmersiveConvertApiClient::GetDocxSectionsRequest](docs/GetDocxSectionsRequest.md)
 - [CloudmersiveConvertApiClient::GetDocxSectionsResponse](docs/GetDocxSectionsResponse.md)
 - [CloudmersiveConvertApiClient::GetDocxStylesRequest](docs/GetDocxStylesRequest.md)
 - [CloudmersiveConvertApiClient::GetDocxStylesResponse](docs/GetDocxStylesResponse.md)
 - [CloudmersiveConvertApiClient::GetDocxTableByIndexRequest](docs/GetDocxTableByIndexRequest.md)
 - [CloudmersiveConvertApiClient::GetDocxTableByIndexResponse](docs/GetDocxTableByIndexResponse.md)
 - [CloudmersiveConvertApiClient::GetDocxTableRowRequest](docs/GetDocxTableRowRequest.md)
 - [CloudmersiveConvertApiClient::GetDocxTableRowResponse](docs/GetDocxTableRowResponse.md)
 - [CloudmersiveConvertApiClient::GetDocxTablesRequest](docs/GetDocxTablesRequest.md)
 - [CloudmersiveConvertApiClient::GetDocxTablesResponse](docs/GetDocxTablesResponse.md)
 - [CloudmersiveConvertApiClient::GetFileTypeIconResult](docs/GetFileTypeIconResult.md)
 - [CloudmersiveConvertApiClient::GetImageInfoResult](docs/GetImageInfoResult.md)
 - [CloudmersiveConvertApiClient::GetMacrosResponse](docs/GetMacrosResponse.md)
 - [CloudmersiveConvertApiClient::GetPdfAnnotationsResult](docs/GetPdfAnnotationsResult.md)
 - [CloudmersiveConvertApiClient::GetXlsxCellByIdentifierRequest](docs/GetXlsxCellByIdentifierRequest.md)
 - [CloudmersiveConvertApiClient::GetXlsxCellByIdentifierResponse](docs/GetXlsxCellByIdentifierResponse.md)
 - [CloudmersiveConvertApiClient::GetXlsxCellRequest](docs/GetXlsxCellRequest.md)
 - [CloudmersiveConvertApiClient::GetXlsxCellResponse](docs/GetXlsxCellResponse.md)
 - [CloudmersiveConvertApiClient::GetXlsxColumnsRequest](docs/GetXlsxColumnsRequest.md)
 - [CloudmersiveConvertApiClient::GetXlsxColumnsResponse](docs/GetXlsxColumnsResponse.md)
 - [CloudmersiveConvertApiClient::GetXlsxImagesRequest](docs/GetXlsxImagesRequest.md)
 - [CloudmersiveConvertApiClient::GetXlsxImagesResponse](docs/GetXlsxImagesResponse.md)
 - [CloudmersiveConvertApiClient::GetXlsxRowsAndCellsRequest](docs/GetXlsxRowsAndCellsRequest.md)
 - [CloudmersiveConvertApiClient::GetXlsxRowsAndCellsResponse](docs/GetXlsxRowsAndCellsResponse.md)
 - [CloudmersiveConvertApiClient::GetXlsxSpecificRowRequest](docs/GetXlsxSpecificRowRequest.md)
 - [CloudmersiveConvertApiClient::GetXlsxSpecificRowResponse](docs/GetXlsxSpecificRowResponse.md)
 - [CloudmersiveConvertApiClient::GetXlsxStylesRequest](docs/GetXlsxStylesRequest.md)
 - [CloudmersiveConvertApiClient::GetXlsxStylesResponse](docs/GetXlsxStylesResponse.md)
 - [CloudmersiveConvertApiClient::GetXlsxWorksheetsRequest](docs/GetXlsxWorksheetsRequest.md)
 - [CloudmersiveConvertApiClient::GetXlsxWorksheetsResponse](docs/GetXlsxWorksheetsResponse.md)
 - [CloudmersiveConvertApiClient::HandlebarFormField](docs/HandlebarFormField.md)
 - [CloudmersiveConvertApiClient::HtmlGetLanguageResult](docs/HtmlGetLanguageResult.md)
 - [CloudmersiveConvertApiClient::HtmlGetLinksResponse](docs/HtmlGetLinksResponse.md)
 - [CloudmersiveConvertApiClient::HtmlGetRelCanonicalUrlResult](docs/HtmlGetRelCanonicalUrlResult.md)
 - [CloudmersiveConvertApiClient::HtmlGetSitemapUrlResult](docs/HtmlGetSitemapUrlResult.md)
 - [CloudmersiveConvertApiClient::HtmlHyperlink](docs/HtmlHyperlink.md)
 - [CloudmersiveConvertApiClient::HtmlMdResult](docs/HtmlMdResult.md)
 - [CloudmersiveConvertApiClient::HtmlSsrfThreatCheckResult](docs/HtmlSsrfThreatCheckResult.md)
 - [CloudmersiveConvertApiClient::HtmlTemplateApplicationRequest](docs/HtmlTemplateApplicationRequest.md)
 - [CloudmersiveConvertApiClient::HtmlTemplateApplicationResponse](docs/HtmlTemplateApplicationResponse.md)
 - [CloudmersiveConvertApiClient::HtmlTemplateOperation](docs/HtmlTemplateOperation.md)
 - [CloudmersiveConvertApiClient::HtmlThreatLink](docs/HtmlThreatLink.md)
 - [CloudmersiveConvertApiClient::HtmlToOfficeRequest](docs/HtmlToOfficeRequest.md)
 - [CloudmersiveConvertApiClient::HtmlToPdfRequest](docs/HtmlToPdfRequest.md)
 - [CloudmersiveConvertApiClient::HtmlToPngRequest](docs/HtmlToPngRequest.md)
 - [CloudmersiveConvertApiClient::HtmlToTextRequest](docs/HtmlToTextRequest.md)
 - [CloudmersiveConvertApiClient::HtmlToTextResponse](docs/HtmlToTextResponse.md)
 - [CloudmersiveConvertApiClient::InsertDocxCommentOnParagraphResponse](docs/InsertDocxCommentOnParagraphResponse.md)
 - [CloudmersiveConvertApiClient::InsertDocxInsertParagraphRequest](docs/InsertDocxInsertParagraphRequest.md)
 - [CloudmersiveConvertApiClient::InsertDocxInsertParagraphResponse](docs/InsertDocxInsertParagraphResponse.md)
 - [CloudmersiveConvertApiClient::InsertDocxTableRowRequest](docs/InsertDocxTableRowRequest.md)
 - [CloudmersiveConvertApiClient::InsertDocxTableRowResponse](docs/InsertDocxTableRowResponse.md)
 - [CloudmersiveConvertApiClient::InsertDocxTablesRequest](docs/InsertDocxTablesRequest.md)
 - [CloudmersiveConvertApiClient::InsertDocxTablesResponse](docs/InsertDocxTablesResponse.md)
 - [CloudmersiveConvertApiClient::InsertXlsxWorksheetRequest](docs/InsertXlsxWorksheetRequest.md)
 - [CloudmersiveConvertApiClient::InsertXlsxWorksheetResponse](docs/InsertXlsxWorksheetResponse.md)
 - [CloudmersiveConvertApiClient::KeynoteToJpgResult](docs/KeynoteToJpgResult.md)
 - [CloudmersiveConvertApiClient::KeynoteToPngResult](docs/KeynoteToPngResult.md)
 - [CloudmersiveConvertApiClient::MsgAttachment](docs/MsgAttachment.md)
 - [CloudmersiveConvertApiClient::MsgToHtmlResult](docs/MsgToHtmlResult.md)
 - [CloudmersiveConvertApiClient::MsgToJpgResult](docs/MsgToJpgResult.md)
 - [CloudmersiveConvertApiClient::MsgToPngResult](docs/MsgToPngResult.md)
 - [CloudmersiveConvertApiClient::MultiReplaceStringRequest](docs/MultiReplaceStringRequest.md)
 - [CloudmersiveConvertApiClient::MultipageImageFormatConversionResult](docs/MultipageImageFormatConversionResult.md)
 - [CloudmersiveConvertApiClient::OdpToJpgResult](docs/OdpToJpgResult.md)
 - [CloudmersiveConvertApiClient::OdpToPngResult](docs/OdpToPngResult.md)
 - [CloudmersiveConvertApiClient::OdsToJpgResult](docs/OdsToJpgResult.md)
 - [CloudmersiveConvertApiClient::OdsToPngResult](docs/OdsToPngResult.md)
 - [CloudmersiveConvertApiClient::OdtToJpgResult](docs/OdtToJpgResult.md)
 - [CloudmersiveConvertApiClient::OdtToPngResult](docs/OdtToPngResult.md)
 - [CloudmersiveConvertApiClient::PageConversionResult](docs/PageConversionResult.md)
 - [CloudmersiveConvertApiClient::PdfAnnotation](docs/PdfAnnotation.md)
 - [CloudmersiveConvertApiClient::PdfDocument](docs/PdfDocument.md)
 - [CloudmersiveConvertApiClient::PdfFormField](docs/PdfFormField.md)
 - [CloudmersiveConvertApiClient::PdfFormFields](docs/PdfFormFields.md)
 - [CloudmersiveConvertApiClient::PdfMetadata](docs/PdfMetadata.md)
 - [CloudmersiveConvertApiClient::PdfPageText](docs/PdfPageText.md)
 - [CloudmersiveConvertApiClient::PdfTextByPageResult](docs/PdfTextByPageResult.md)
 - [CloudmersiveConvertApiClient::PdfToJpgResult](docs/PdfToJpgResult.md)
 - [CloudmersiveConvertApiClient::PdfToPngResult](docs/PdfToPngResult.md)
 - [CloudmersiveConvertApiClient::PptxToPngResult](docs/PptxToPngResult.md)
 - [CloudmersiveConvertApiClient::PresentationResult](docs/PresentationResult.md)
 - [CloudmersiveConvertApiClient::RemoveDocxHeadersAndFootersRequest](docs/RemoveDocxHeadersAndFootersRequest.md)
 - [CloudmersiveConvertApiClient::RemoveDocxHeadersAndFootersResponse](docs/RemoveDocxHeadersAndFootersResponse.md)
 - [CloudmersiveConvertApiClient::RemoveDocxPagesRequest](docs/RemoveDocxPagesRequest.md)
 - [CloudmersiveConvertApiClient::RemoveHtmlFromTextRequest](docs/RemoveHtmlFromTextRequest.md)
 - [CloudmersiveConvertApiClient::RemoveHtmlFromTextResponse](docs/RemoveHtmlFromTextResponse.md)
 - [CloudmersiveConvertApiClient::RemovePptxSlidesRequest](docs/RemovePptxSlidesRequest.md)
 - [CloudmersiveConvertApiClient::RemoveWhitespaceFromTextRequest](docs/RemoveWhitespaceFromTextRequest.md)
 - [CloudmersiveConvertApiClient::RemoveWhitespaceFromTextResponse](docs/RemoveWhitespaceFromTextResponse.md)
 - [CloudmersiveConvertApiClient::RemoveXlsxWorksheetRequest](docs/RemoveXlsxWorksheetRequest.md)
 - [CloudmersiveConvertApiClient::RenameXlsxWorksheetRequest](docs/RenameXlsxWorksheetRequest.md)
 - [CloudmersiveConvertApiClient::RenameXlsxWorksheetResponse](docs/RenameXlsxWorksheetResponse.md)
 - [CloudmersiveConvertApiClient::ReplaceDocxParagraphRequest](docs/ReplaceDocxParagraphRequest.md)
 - [CloudmersiveConvertApiClient::ReplaceDocxParagraphResponse](docs/ReplaceDocxParagraphResponse.md)
 - [CloudmersiveConvertApiClient::ReplaceStringRegexRequest](docs/ReplaceStringRegexRequest.md)
 - [CloudmersiveConvertApiClient::ReplaceStringRegexResponse](docs/ReplaceStringRegexResponse.md)
 - [CloudmersiveConvertApiClient::ReplaceStringRequest](docs/ReplaceStringRequest.md)
 - [CloudmersiveConvertApiClient::ReplaceStringSimpleRequest](docs/ReplaceStringSimpleRequest.md)
 - [CloudmersiveConvertApiClient::ReplaceStringSimpleResponse](docs/ReplaceStringSimpleResponse.md)
 - [CloudmersiveConvertApiClient::RtfToJpgResult](docs/RtfToJpgResult.md)
 - [CloudmersiveConvertApiClient::RtfToPngResult](docs/RtfToPngResult.md)
 - [CloudmersiveConvertApiClient::ScreenshotRequest](docs/ScreenshotRequest.md)
 - [CloudmersiveConvertApiClient::SetFormFieldValue](docs/SetFormFieldValue.md)
 - [CloudmersiveConvertApiClient::SetPdfFormFieldsRequest](docs/SetPdfFormFieldsRequest.md)
 - [CloudmersiveConvertApiClient::SetPdfMetadataRequest](docs/SetPdfMetadataRequest.md)
 - [CloudmersiveConvertApiClient::SetXlsxCellByIdentifierRequest](docs/SetXlsxCellByIdentifierRequest.md)
 - [CloudmersiveConvertApiClient::SetXlsxCellByIdentifierResponse](docs/SetXlsxCellByIdentifierResponse.md)
 - [CloudmersiveConvertApiClient::SetXlsxCellRequest](docs/SetXlsxCellRequest.md)
 - [CloudmersiveConvertApiClient::SetXlsxCellResponse](docs/SetXlsxCellResponse.md)
 - [CloudmersiveConvertApiClient::SingleReplaceString](docs/SingleReplaceString.md)
 - [CloudmersiveConvertApiClient::SplitDocumentResult](docs/SplitDocumentResult.md)
 - [CloudmersiveConvertApiClient::SplitDocxDocumentResult](docs/SplitDocxDocumentResult.md)
 - [CloudmersiveConvertApiClient::SplitPdfResult](docs/SplitPdfResult.md)
 - [CloudmersiveConvertApiClient::SplitPptxPresentationResult](docs/SplitPptxPresentationResult.md)
 - [CloudmersiveConvertApiClient::SplitTextDocumentByLinesResult](docs/SplitTextDocumentByLinesResult.md)
 - [CloudmersiveConvertApiClient::SplitTextDocumentByStringResult](docs/SplitTextDocumentByStringResult.md)
 - [CloudmersiveConvertApiClient::SplitXlsxWorksheetResult](docs/SplitXlsxWorksheetResult.md)
 - [CloudmersiveConvertApiClient::TextConversionResult](docs/TextConversionResult.md)
 - [CloudmersiveConvertApiClient::TextDocumentElement](docs/TextDocumentElement.md)
 - [CloudmersiveConvertApiClient::TextDocumentLine](docs/TextDocumentLine.md)
 - [CloudmersiveConvertApiClient::TextEncodingDetectResponse](docs/TextEncodingDetectResponse.md)
 - [CloudmersiveConvertApiClient::Thumbnail](docs/Thumbnail.md)
 - [CloudmersiveConvertApiClient::UpdateDocxTableCellRequest](docs/UpdateDocxTableCellRequest.md)
 - [CloudmersiveConvertApiClient::UpdateDocxTableCellResponse](docs/UpdateDocxTableCellResponse.md)
 - [CloudmersiveConvertApiClient::UpdateDocxTableRowRequest](docs/UpdateDocxTableRowRequest.md)
 - [CloudmersiveConvertApiClient::UpdateDocxTableRowResponse](docs/UpdateDocxTableRowResponse.md)
 - [CloudmersiveConvertApiClient::UrlToPdfRequest](docs/UrlToPdfRequest.md)
 - [CloudmersiveConvertApiClient::UrlToTextRequest](docs/UrlToTextRequest.md)
 - [CloudmersiveConvertApiClient::UrlToTextResponse](docs/UrlToTextResponse.md)
 - [CloudmersiveConvertApiClient::ViewerResponse](docs/ViewerResponse.md)
 - [CloudmersiveConvertApiClient::WorksheetResult](docs/WorksheetResult.md)
 - [CloudmersiveConvertApiClient::XlsxImage](docs/XlsxImage.md)
 - [CloudmersiveConvertApiClient::XlsxSpreadsheetCell](docs/XlsxSpreadsheetCell.md)
 - [CloudmersiveConvertApiClient::XlsxSpreadsheetColumn](docs/XlsxSpreadsheetColumn.md)
 - [CloudmersiveConvertApiClient::XlsxSpreadsheetRow](docs/XlsxSpreadsheetRow.md)
 - [CloudmersiveConvertApiClient::XlsxToPngResult](docs/XlsxToPngResult.md)
 - [CloudmersiveConvertApiClient::XlsxWorksheet](docs/XlsxWorksheet.md)
 - [CloudmersiveConvertApiClient::XmlAddAttributeWithXPathResult](docs/XmlAddAttributeWithXPathResult.md)
 - [CloudmersiveConvertApiClient::XmlAddChildWithXPathResult](docs/XmlAddChildWithXPathResult.md)
 - [CloudmersiveConvertApiClient::XmlFilterWithXPathResult](docs/XmlFilterWithXPathResult.md)
 - [CloudmersiveConvertApiClient::XmlQueryWithXQueryMultiResult](docs/XmlQueryWithXQueryMultiResult.md)
 - [CloudmersiveConvertApiClient::XmlQueryWithXQueryResult](docs/XmlQueryWithXQueryResult.md)
 - [CloudmersiveConvertApiClient::XmlRemoveAllChildrenWithXPathResult](docs/XmlRemoveAllChildrenWithXPathResult.md)
 - [CloudmersiveConvertApiClient::XmlRemoveWithXPathResult](docs/XmlRemoveWithXPathResult.md)
 - [CloudmersiveConvertApiClient::XmlReplaceWithXPathResult](docs/XmlReplaceWithXPathResult.md)
 - [CloudmersiveConvertApiClient::XmlSetValueWithXPathResult](docs/XmlSetValueWithXPathResult.md)
 - [CloudmersiveConvertApiClient::XxeThreatDetectionResult](docs/XxeThreatDetectionResult.md)
 - [CloudmersiveConvertApiClient::ZipDirectory](docs/ZipDirectory.md)
 - [CloudmersiveConvertApiClient::ZipEncryptionAdvancedRequest](docs/ZipEncryptionAdvancedRequest.md)
 - [CloudmersiveConvertApiClient::ZipExtractResponse](docs/ZipExtractResponse.md)
 - [CloudmersiveConvertApiClient::ZipFile](docs/ZipFile.md)


## Documentation for Authorization


### Apikey

- **Type**: API key
- **API key parameter name**: Apikey
- **Location**: HTTP header

