=begin
#convertapi

#Convert API lets you effortlessly convert file formats and types.

OpenAPI spec version: v1

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.14

=end

require 'uri'

module CloudmersiveConvertApiClient
  class EditDocumentApi
    attr_accessor :api_client

    def initialize(api_client = ApiClient.default)
      @api_client = api_client
    end
    # Begin editing a document
    # Uploads a document to Cloudmersive to begin a series of one or more editing operations.  To edit a document, first call Begin Editing on the document.  Then perform operations on the document using the secure URL returned from BeginEditing, such as Word DOCX Delete Pages and Insert Table.  Finally, perform finish editing on the URL to return the resulting edited document.  The editing URL is temporary and only stored in-memory cache, and will automatically expire from the cache after 30 minutes, and cannot be directly accessed.
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [String]
    def edit_document_begin_editing(input_file, opts = {})
      data, _status_code, _headers = edit_document_begin_editing_with_http_info(input_file, opts)
      data
    end

    # Begin editing a document
    # Uploads a document to Cloudmersive to begin a series of one or more editing operations.  To edit a document, first call Begin Editing on the document.  Then perform operations on the document using the secure URL returned from BeginEditing, such as Word DOCX Delete Pages and Insert Table.  Finally, perform finish editing on the URL to return the resulting edited document.  The editing URL is temporary and only stored in-memory cache, and will automatically expire from the cache after 30 minutes, and cannot be directly accessed.
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [Array<(String, Fixnum, Hash)>] String data, response status code and response headers
    def edit_document_begin_editing_with_http_info(input_file, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_begin_editing ...'
      end
      # verify the required parameter 'input_file' is set
      if @api_client.config.client_side_validation && input_file.nil?
        fail ArgumentError, "Missing the required parameter 'input_file' when calling EditDocumentApi.edit_document_begin_editing"
      end
      # resource path
      local_var_path = '/convert/edit/begin-editing'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['multipart/form-data'])

      # form parameters
      form_params = {}
      form_params['inputFile'] = input_file

      # http body (model)
      post_body = nil
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'String')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_begin_editing\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Accept all tracked changes, revisions in a Word DOCX document
    # Accepts all tracked changes and revisions in a Word DOCX document.  This will accept all pending changes in the document when tracked changes is turned on.  Track changes will remain on (if it is on) after this oepration is completed.
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [String]
    def edit_document_docx_accept_all_track_changes(input_file, opts = {})
      data, _status_code, _headers = edit_document_docx_accept_all_track_changes_with_http_info(input_file, opts)
      data
    end

    # Accept all tracked changes, revisions in a Word DOCX document
    # Accepts all tracked changes and revisions in a Word DOCX document.  This will accept all pending changes in the document when tracked changes is turned on.  Track changes will remain on (if it is on) after this oepration is completed.
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [Array<(String, Fixnum, Hash)>] String data, response status code and response headers
    def edit_document_docx_accept_all_track_changes_with_http_info(input_file, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_accept_all_track_changes ...'
      end
      # verify the required parameter 'input_file' is set
      if @api_client.config.client_side_validation && input_file.nil?
        fail ArgumentError, "Missing the required parameter 'input_file' when calling EditDocumentApi.edit_document_docx_accept_all_track_changes"
      end
      # resource path
      local_var_path = '/convert/edit/docx/track-changes/accept-all'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['multipart/form-data'])

      # form parameters
      form_params = {}
      form_params['inputFile'] = input_file

      # http body (model)
      post_body = nil
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'String')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_accept_all_track_changes\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get body from a Word DOCX document
    # Returns the body defined in the Word Document (DOCX) format file; this is the main content part of a DOCX document
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetDocxBodyResponse]
    def edit_document_docx_body(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_body_with_http_info(req_config, opts)
      data
    end

    # Get body from a Word DOCX document
    # Returns the body defined in the Word Document (DOCX) format file; this is the main content part of a DOCX document
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetDocxBodyResponse, Fixnum, Hash)>] GetDocxBodyResponse data, response status code and response headers
    def edit_document_docx_body_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_body ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_body"
      end
      # resource path
      local_var_path = '/convert/edit/docx/get-body'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetDocxBodyResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_body\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Create a blank Word DOCX document
    # Returns a blank Word DOCX Document format file.  The file is blank, with no contents.  Use additional editing commands such as Insert Paragraph or Insert Table or Insert Image to populate the document.
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [CreateBlankDocxResponse]
    def edit_document_docx_create_blank_document(input, opts = {})
      data, _status_code, _headers = edit_document_docx_create_blank_document_with_http_info(input, opts)
      data
    end

    # Create a blank Word DOCX document
    # Returns a blank Word DOCX Document format file.  The file is blank, with no contents.  Use additional editing commands such as Insert Paragraph or Insert Table or Insert Image to populate the document.
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(CreateBlankDocxResponse, Fixnum, Hash)>] CreateBlankDocxResponse data, response status code and response headers
    def edit_document_docx_create_blank_document_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_create_blank_document ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_docx_create_blank_document"
      end
      # resource path
      local_var_path = '/convert/edit/docx/create/blank'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'CreateBlankDocxResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_create_blank_document\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Delete, remove pages from a Word DOCX document
    # Returns the edited Word Document in the Word Document (DOCX) format file with the specified pages removed
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [String]
    def edit_document_docx_delete_pages(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_delete_pages_with_http_info(req_config, opts)
      data
    end

    # Delete, remove pages from a Word DOCX document
    # Returns the edited Word Document in the Word Document (DOCX) format file with the specified pages removed
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(String, Fixnum, Hash)>] String data, response status code and response headers
    def edit_document_docx_delete_pages_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_delete_pages ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_delete_pages"
      end
      # resource path
      local_var_path = '/convert/edit/docx/delete-pages'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/octet-stream'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'String')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_delete_pages\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Deletes a table row in an existing table in a Word DOCX document
    # Deletes an existing table row in a Word DOCX Document and returns the result.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [DeleteDocxTableRowResponse]
    def edit_document_docx_delete_table_row(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_delete_table_row_with_http_info(req_config, opts)
      data
    end

    # Deletes a table row in an existing table in a Word DOCX document
    # Deletes an existing table row in a Word DOCX Document and returns the result.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(DeleteDocxTableRowResponse, Fixnum, Hash)>] DeleteDocxTableRowResponse data, response status code and response headers
    def edit_document_docx_delete_table_row_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_delete_table_row ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_delete_table_row"
      end
      # resource path
      local_var_path = '/convert/edit/docx/delete-table-row'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'DeleteDocxTableRowResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_delete_table_row\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Deletes a range of multiple table rows in an existing table in a Word DOCX document
    # Deletes a range of 1 or more existing table rows in a Word DOCX Document and returns the result.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [DeleteDocxTableRowRangeResponse]
    def edit_document_docx_delete_table_row_range(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_delete_table_row_range_with_http_info(req_config, opts)
      data
    end

    # Deletes a range of multiple table rows in an existing table in a Word DOCX document
    # Deletes a range of 1 or more existing table rows in a Word DOCX Document and returns the result.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(DeleteDocxTableRowRangeResponse, Fixnum, Hash)>] DeleteDocxTableRowRangeResponse data, response status code and response headers
    def edit_document_docx_delete_table_row_range_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_delete_table_row_range ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_delete_table_row_range"
      end
      # resource path
      local_var_path = '/convert/edit/docx/delete-table-row/range'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'DeleteDocxTableRowRangeResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_delete_table_row_range\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Disable track changes, revisions in a Word DOCX document
    # Diables tracking of changes and revisions in a Word DOCX document, and accepts any pending changes.  Users editing the document will no longer see changes tracked automatically.
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [String]
    def edit_document_docx_disable_track_changes(input_file, opts = {})
      data, _status_code, _headers = edit_document_docx_disable_track_changes_with_http_info(input_file, opts)
      data
    end

    # Disable track changes, revisions in a Word DOCX document
    # Diables tracking of changes and revisions in a Word DOCX document, and accepts any pending changes.  Users editing the document will no longer see changes tracked automatically.
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [Array<(String, Fixnum, Hash)>] String data, response status code and response headers
    def edit_document_docx_disable_track_changes_with_http_info(input_file, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_disable_track_changes ...'
      end
      # verify the required parameter 'input_file' is set
      if @api_client.config.client_side_validation && input_file.nil?
        fail ArgumentError, "Missing the required parameter 'input_file' when calling EditDocumentApi.edit_document_docx_disable_track_changes"
      end
      # resource path
      local_var_path = '/convert/edit/docx/track-changes/disable'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['multipart/form-data'])

      # form parameters
      form_params = {}
      form_params['inputFile'] = input_file

      # http body (model)
      post_body = nil
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'String')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_disable_track_changes\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Enable track changes, revisions in a Word DOCX document
    # Enables tracking of changes and revisions in a Word DOCX document.  Users editing the document will see changes tracked automatically, with edits highlighted, and the ability to accept or reject changes made to the document.
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [String]
    def edit_document_docx_enable_track_changes(input_file, opts = {})
      data, _status_code, _headers = edit_document_docx_enable_track_changes_with_http_info(input_file, opts)
      data
    end

    # Enable track changes, revisions in a Word DOCX document
    # Enables tracking of changes and revisions in a Word DOCX document.  Users editing the document will see changes tracked automatically, with edits highlighted, and the ability to accept or reject changes made to the document.
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [Array<(String, Fixnum, Hash)>] String data, response status code and response headers
    def edit_document_docx_enable_track_changes_with_http_info(input_file, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_enable_track_changes ...'
      end
      # verify the required parameter 'input_file' is set
      if @api_client.config.client_side_validation && input_file.nil?
        fail ArgumentError, "Missing the required parameter 'input_file' when calling EditDocumentApi.edit_document_docx_enable_track_changes"
      end
      # resource path
      local_var_path = '/convert/edit/docx/track-changes/enable'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['multipart/form-data'])

      # form parameters
      form_params = {}
      form_params['inputFile'] = input_file

      # http body (model)
      post_body = nil
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'String')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_enable_track_changes\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Find matching paragraphs in a Word DOCX document
    # Returns the paragraphs defined in the Word Document (DOCX) format file that match the input criteria
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [FindDocxParagraphResponse]
    def edit_document_docx_find_paragraph(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_find_paragraph_with_http_info(req_config, opts)
      data
    end

    # Find matching paragraphs in a Word DOCX document
    # Returns the paragraphs defined in the Word Document (DOCX) format file that match the input criteria
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(FindDocxParagraphResponse, Fixnum, Hash)>] FindDocxParagraphResponse data, response status code and response headers
    def edit_document_docx_find_paragraph_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_find_paragraph ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_find_paragraph"
      end
      # resource path
      local_var_path = '/convert/edit/docx/find/paragraph'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'FindDocxParagraphResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_find_paragraph\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get comments from a Word DOCX document as a flat list
    # Returns the comments and review annotations stored in the Word Document (DOCX) format file as a flattened list (not as a hierarchy of comments and replies).
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetDocxCommentsResponse]
    def edit_document_docx_get_comments(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_get_comments_with_http_info(req_config, opts)
      data
    end

    # Get comments from a Word DOCX document as a flat list
    # Returns the comments and review annotations stored in the Word Document (DOCX) format file as a flattened list (not as a hierarchy of comments and replies).
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetDocxCommentsResponse, Fixnum, Hash)>] GetDocxCommentsResponse data, response status code and response headers
    def edit_document_docx_get_comments_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_get_comments ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_get_comments"
      end
      # resource path
      local_var_path = '/convert/edit/docx/get-comments/flat-list'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetDocxCommentsResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_get_comments\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get comments from a Word DOCX document hierarchically
    # Returns the comments and review annotations stored in the Word Document (DOCX) format file hierarchically, where reply comments are nested as children under top-level comments in the results returned.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetDocxCommentsHierarchicalResponse]
    def edit_document_docx_get_comments_hierarchical(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_get_comments_hierarchical_with_http_info(req_config, opts)
      data
    end

    # Get comments from a Word DOCX document hierarchically
    # Returns the comments and review annotations stored in the Word Document (DOCX) format file hierarchically, where reply comments are nested as children under top-level comments in the results returned.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetDocxCommentsHierarchicalResponse, Fixnum, Hash)>] GetDocxCommentsHierarchicalResponse data, response status code and response headers
    def edit_document_docx_get_comments_hierarchical_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_get_comments_hierarchical ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_get_comments_hierarchical"
      end
      # resource path
      local_var_path = '/convert/edit/docx/get-comments/hierarchical'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetDocxCommentsHierarchicalResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_get_comments_hierarchical\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get all content controls (form fields) and values in a Word DOCX document
    # Returns all the content controls, used for creating form fields, in a Office Word Document (docx)
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [GetDocxContentControlsResponse]
    def edit_document_docx_get_content_controls(input_file, opts = {})
      data, _status_code, _headers = edit_document_docx_get_content_controls_with_http_info(input_file, opts)
      data
    end

    # Get all content controls (form fields) and values in a Word DOCX document
    # Returns all the content controls, used for creating form fields, in a Office Word Document (docx)
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetDocxContentControlsResponse, Fixnum, Hash)>] GetDocxContentControlsResponse data, response status code and response headers
    def edit_document_docx_get_content_controls_with_http_info(input_file, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_get_content_controls ...'
      end
      # verify the required parameter 'input_file' is set
      if @api_client.config.client_side_validation && input_file.nil?
        fail ArgumentError, "Missing the required parameter 'input_file' when calling EditDocumentApi.edit_document_docx_get_content_controls"
      end
      # resource path
      local_var_path = '/convert/edit/docx/get-content-controls'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['multipart/form-data'])

      # form parameters
      form_params = {}
      form_params['inputFile'] = input_file

      # http body (model)
      post_body = nil
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetDocxContentControlsResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_get_content_controls\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get all form fields in a Word DOCX document
    # Returns all the content controls, used for creating form fields, as well as handlebar style text-based form fields such as \"{{FieldName}}\", in a Office Word Document (docx)
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [GetDocxGetFormFieldsResponse]
    def edit_document_docx_get_form_fields(input_file, opts = {})
      data, _status_code, _headers = edit_document_docx_get_form_fields_with_http_info(input_file, opts)
      data
    end

    # Get all form fields in a Word DOCX document
    # Returns all the content controls, used for creating form fields, as well as handlebar style text-based form fields such as \&quot;{{FieldName}}\&quot;, in a Office Word Document (docx)
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetDocxGetFormFieldsResponse, Fixnum, Hash)>] GetDocxGetFormFieldsResponse data, response status code and response headers
    def edit_document_docx_get_form_fields_with_http_info(input_file, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_get_form_fields ...'
      end
      # verify the required parameter 'input_file' is set
      if @api_client.config.client_side_validation && input_file.nil?
        fail ArgumentError, "Missing the required parameter 'input_file' when calling EditDocumentApi.edit_document_docx_get_form_fields"
      end
      # resource path
      local_var_path = '/convert/edit/docx/get-form-fields'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['multipart/form-data'])

      # form parameters
      form_params = {}
      form_params['inputFile'] = input_file

      # http body (model)
      post_body = nil
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetDocxGetFormFieldsResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_get_form_fields\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get content of a footer from a Word DOCX document
    # Returns the footer content from a Word Document (DOCX) format file
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetDocxHeadersAndFootersResponse]
    def edit_document_docx_get_headers_and_footers(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_get_headers_and_footers_with_http_info(req_config, opts)
      data
    end

    # Get content of a footer from a Word DOCX document
    # Returns the footer content from a Word Document (DOCX) format file
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetDocxHeadersAndFootersResponse, Fixnum, Hash)>] GetDocxHeadersAndFootersResponse data, response status code and response headers
    def edit_document_docx_get_headers_and_footers_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_get_headers_and_footers ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_get_headers_and_footers"
      end
      # resource path
      local_var_path = '/convert/edit/docx/get-headers-and-footers'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetDocxHeadersAndFootersResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_get_headers_and_footers\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get images from a Word DOCX document
    # Returns the images defined in the Word Document (DOCX) format file
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetDocxImagesResponse]
    def edit_document_docx_get_images(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_get_images_with_http_info(req_config, opts)
      data
    end

    # Get images from a Word DOCX document
    # Returns the images defined in the Word Document (DOCX) format file
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetDocxImagesResponse, Fixnum, Hash)>] GetDocxImagesResponse data, response status code and response headers
    def edit_document_docx_get_images_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_get_images ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_get_images"
      end
      # resource path
      local_var_path = '/convert/edit/docx/get-images'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetDocxImagesResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_get_images\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get macro information from a Word DOCX/DOCM document
    # Returns information about the Macros (e.g. VBA) defined in the Word Document
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [GetMacrosResponse]
    def edit_document_docx_get_macro_information(input_file, opts = {})
      data, _status_code, _headers = edit_document_docx_get_macro_information_with_http_info(input_file, opts)
      data
    end

    # Get macro information from a Word DOCX/DOCM document
    # Returns information about the Macros (e.g. VBA) defined in the Word Document
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetMacrosResponse, Fixnum, Hash)>] GetMacrosResponse data, response status code and response headers
    def edit_document_docx_get_macro_information_with_http_info(input_file, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_get_macro_information ...'
      end
      # verify the required parameter 'input_file' is set
      if @api_client.config.client_side_validation && input_file.nil?
        fail ArgumentError, "Missing the required parameter 'input_file' when calling EditDocumentApi.edit_document_docx_get_macro_information"
      end
      # resource path
      local_var_path = '/convert/edit/docx/get-macros'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['multipart/form-data'])

      # form parameters
      form_params = {}
      form_params['inputFile'] = input_file

      # http body (model)
      post_body = nil
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetMacrosResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_get_macro_information\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get all metadata properties in Word DOCX document
    # Returns all the metadata properties in an Office Word Document (docx)
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [GetDocxMetadataPropertiesResponse]
    def edit_document_docx_get_metadata_properties(input_file, opts = {})
      data, _status_code, _headers = edit_document_docx_get_metadata_properties_with_http_info(input_file, opts)
      data
    end

    # Get all metadata properties in Word DOCX document
    # Returns all the metadata properties in an Office Word Document (docx)
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetDocxMetadataPropertiesResponse, Fixnum, Hash)>] GetDocxMetadataPropertiesResponse data, response status code and response headers
    def edit_document_docx_get_metadata_properties_with_http_info(input_file, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_get_metadata_properties ...'
      end
      # verify the required parameter 'input_file' is set
      if @api_client.config.client_side_validation && input_file.nil?
        fail ArgumentError, "Missing the required parameter 'input_file' when calling EditDocumentApi.edit_document_docx_get_metadata_properties"
      end
      # resource path
      local_var_path = '/convert/edit/docx/get-metadata'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['multipart/form-data'])

      # form parameters
      form_params = {}
      form_params['inputFile'] = input_file

      # http body (model)
      post_body = nil
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetDocxMetadataPropertiesResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_get_metadata_properties\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get sections from a Word DOCX document
    # Returns the sections defined in the Word Document (DOCX) format file
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetDocxSectionsResponse]
    def edit_document_docx_get_sections(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_get_sections_with_http_info(req_config, opts)
      data
    end

    # Get sections from a Word DOCX document
    # Returns the sections defined in the Word Document (DOCX) format file
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetDocxSectionsResponse, Fixnum, Hash)>] GetDocxSectionsResponse data, response status code and response headers
    def edit_document_docx_get_sections_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_get_sections ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_get_sections"
      end
      # resource path
      local_var_path = '/convert/edit/docx/get-sections'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetDocxSectionsResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_get_sections\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get styles from a Word DOCX document
    # Returns the styles defined in the Word Document (DOCX) format file
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetDocxStylesResponse]
    def edit_document_docx_get_styles(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_get_styles_with_http_info(req_config, opts)
      data
    end

    # Get styles from a Word DOCX document
    # Returns the styles defined in the Word Document (DOCX) format file
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetDocxStylesResponse, Fixnum, Hash)>] GetDocxStylesResponse data, response status code and response headers
    def edit_document_docx_get_styles_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_get_styles ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_get_styles"
      end
      # resource path
      local_var_path = '/convert/edit/docx/get-styles'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetDocxStylesResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_get_styles\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get a specific table by index in a Word DOCX document
    # Returns the specific table object by its 0-based index in an Office Word Document (DOCX)
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetDocxTableByIndexResponse]
    def edit_document_docx_get_table_by_index(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_get_table_by_index_with_http_info(req_config, opts)
      data
    end

    # Get a specific table by index in a Word DOCX document
    # Returns the specific table object by its 0-based index in an Office Word Document (DOCX)
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetDocxTableByIndexResponse, Fixnum, Hash)>] GetDocxTableByIndexResponse data, response status code and response headers
    def edit_document_docx_get_table_by_index_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_get_table_by_index ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_get_table_by_index"
      end
      # resource path
      local_var_path = '/convert/edit/docx/get-table/by-index'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetDocxTableByIndexResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_get_table_by_index\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Gets the contents of an existing table row in an existing table in a Word DOCX document
    # Gets the contents of an existing table row in a Word DOCX Document and returns the result.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetDocxTableRowResponse]
    def edit_document_docx_get_table_row(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_get_table_row_with_http_info(req_config, opts)
      data
    end

    # Gets the contents of an existing table row in an existing table in a Word DOCX document
    # Gets the contents of an existing table row in a Word DOCX Document and returns the result.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetDocxTableRowResponse, Fixnum, Hash)>] GetDocxTableRowResponse data, response status code and response headers
    def edit_document_docx_get_table_row_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_get_table_row ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_get_table_row"
      end
      # resource path
      local_var_path = '/convert/edit/docx/get-table-row'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetDocxTableRowResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_get_table_row\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get all tables in Word DOCX document
    # Returns all the table objects in an Office Word Document (docx)
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetDocxTablesResponse]
    def edit_document_docx_get_tables(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_get_tables_with_http_info(req_config, opts)
      data
    end

    # Get all tables in Word DOCX document
    # Returns all the table objects in an Office Word Document (docx)
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetDocxTablesResponse, Fixnum, Hash)>] GetDocxTablesResponse data, response status code and response headers
    def edit_document_docx_get_tables_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_get_tables ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_get_tables"
      end
      # resource path
      local_var_path = '/convert/edit/docx/get-tables'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetDocxTablesResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_get_tables\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Insert a new comment into a Word DOCX document attached to a paragraph
    # Adds a new comment into a Word DOCX document attached to a paragraph and returns the result.  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [InsertDocxCommentOnParagraphResponse]
    def edit_document_docx_insert_comment_on_paragraph(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_insert_comment_on_paragraph_with_http_info(req_config, opts)
      data
    end

    # Insert a new comment into a Word DOCX document attached to a paragraph
    # Adds a new comment into a Word DOCX document attached to a paragraph and returns the result.  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(InsertDocxCommentOnParagraphResponse, Fixnum, Hash)>] InsertDocxCommentOnParagraphResponse data, response status code and response headers
    def edit_document_docx_insert_comment_on_paragraph_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_insert_comment_on_paragraph ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_insert_comment_on_paragraph"
      end
      # resource path
      local_var_path = '/convert/edit/docx/insert-comment/on/paragraph'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'InsertDocxCommentOnParagraphResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_insert_comment_on_paragraph\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Insert image into a Word DOCX document
    # Set the footer in a Word Document (DOCX).  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [DocxInsertImageResponse]
    def edit_document_docx_insert_image(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_insert_image_with_http_info(req_config, opts)
      data
    end

    # Insert image into a Word DOCX document
    # Set the footer in a Word Document (DOCX).  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(DocxInsertImageResponse, Fixnum, Hash)>] DocxInsertImageResponse data, response status code and response headers
    def edit_document_docx_insert_image_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_insert_image ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_insert_image"
      end
      # resource path
      local_var_path = '/convert/edit/docx/insert-image'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'DocxInsertImageResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_insert_image\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Insert a new paragraph into a Word DOCX document
    # Adds a new paragraph into a DOCX and returns the result.  You can insert at the beginning/end of a document, or before/after an existing object using its Path (location within the document).  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [InsertDocxInsertParagraphResponse]
    def edit_document_docx_insert_paragraph(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_insert_paragraph_with_http_info(req_config, opts)
      data
    end

    # Insert a new paragraph into a Word DOCX document
    # Adds a new paragraph into a DOCX and returns the result.  You can insert at the beginning/end of a document, or before/after an existing object using its Path (location within the document).  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(InsertDocxInsertParagraphResponse, Fixnum, Hash)>] InsertDocxInsertParagraphResponse data, response status code and response headers
    def edit_document_docx_insert_paragraph_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_insert_paragraph ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_insert_paragraph"
      end
      # resource path
      local_var_path = '/convert/edit/docx/insert-paragraph'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'InsertDocxInsertParagraphResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_insert_paragraph\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Insert a new table into a Word DOCX document
    # Adds a new table into a DOCX and returns the result.  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [InsertDocxTablesResponse]
    def edit_document_docx_insert_table(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_insert_table_with_http_info(req_config, opts)
      data
    end

    # Insert a new table into a Word DOCX document
    # Adds a new table into a DOCX and returns the result.  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(InsertDocxTablesResponse, Fixnum, Hash)>] InsertDocxTablesResponse data, response status code and response headers
    def edit_document_docx_insert_table_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_insert_table ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_insert_table"
      end
      # resource path
      local_var_path = '/convert/edit/docx/insert-table'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'InsertDocxTablesResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_insert_table\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Insert a new row into an existing table in a Word DOCX document
    # Adds a new table row into a DOCX Document and returns the result.  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [InsertDocxTableRowResponse]
    def edit_document_docx_insert_table_row(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_insert_table_row_with_http_info(req_config, opts)
      data
    end

    # Insert a new row into an existing table in a Word DOCX document
    # Adds a new table row into a DOCX Document and returns the result.  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(InsertDocxTableRowResponse, Fixnum, Hash)>] InsertDocxTableRowResponse data, response status code and response headers
    def edit_document_docx_insert_table_row_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_insert_table_row ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_insert_table_row"
      end
      # resource path
      local_var_path = '/convert/edit/docx/insert-table-row'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'InsertDocxTableRowResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_insert_table_row\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get pages and content from a Word DOCX document
    # Returns the pages and contents of each page defined in the Word Document (DOCX) format file
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetDocxPagesResponse]
    def edit_document_docx_pages(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_pages_with_http_info(req_config, opts)
      data
    end

    # Get pages and content from a Word DOCX document
    # Returns the pages and contents of each page defined in the Word Document (DOCX) format file
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetDocxPagesResponse, Fixnum, Hash)>] GetDocxPagesResponse data, response status code and response headers
    def edit_document_docx_pages_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_pages ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_pages"
      end
      # resource path
      local_var_path = '/convert/edit/docx/get-pages'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetDocxPagesResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_pages\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Remove all comments from a Word DOCX document
    # Removes all of the comments from a Word Document.
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [String]
    def edit_document_docx_remove_all_comments(input_file, opts = {})
      data, _status_code, _headers = edit_document_docx_remove_all_comments_with_http_info(input_file, opts)
      data
    end

    # Remove all comments from a Word DOCX document
    # Removes all of the comments from a Word Document.
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [Array<(String, Fixnum, Hash)>] String data, response status code and response headers
    def edit_document_docx_remove_all_comments_with_http_info(input_file, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_remove_all_comments ...'
      end
      # verify the required parameter 'input_file' is set
      if @api_client.config.client_side_validation && input_file.nil?
        fail ArgumentError, "Missing the required parameter 'input_file' when calling EditDocumentApi.edit_document_docx_remove_all_comments"
      end
      # resource path
      local_var_path = '/convert/edit/docx/comments/remove-all'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['multipart/form-data'])

      # form parameters
      form_params = {}
      form_params['inputFile'] = input_file

      # http body (model)
      post_body = nil
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'String')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_remove_all_comments\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Remove headers and footers from Word DOCX document
    # Remove all headers, or footers, or both from a Word Document (DOCX).  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [RemoveDocxHeadersAndFootersResponse]
    def edit_document_docx_remove_headers_and_footers(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_remove_headers_and_footers_with_http_info(req_config, opts)
      data
    end

    # Remove headers and footers from Word DOCX document
    # Remove all headers, or footers, or both from a Word Document (DOCX).  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(RemoveDocxHeadersAndFootersResponse, Fixnum, Hash)>] RemoveDocxHeadersAndFootersResponse data, response status code and response headers
    def edit_document_docx_remove_headers_and_footers_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_remove_headers_and_footers ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_remove_headers_and_footers"
      end
      # resource path
      local_var_path = '/convert/edit/docx/remove-headers-and-footers'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'RemoveDocxHeadersAndFootersResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_remove_headers_and_footers\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Delete any object in a Word DOCX document
    # Delete any object, such as a paragraph, table, image, etc. from a Word Document (DOCX).  Pass in the Path of the object you would like to delete.  You can call other functions such as Get-Tables, Get-Images, Get-Body, etc. to get the paths of the objects in the document.  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [DocxRemoveObjectResponse]
    def edit_document_docx_remove_object(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_remove_object_with_http_info(req_config, opts)
      data
    end

    # Delete any object in a Word DOCX document
    # Delete any object, such as a paragraph, table, image, etc. from a Word Document (DOCX).  Pass in the Path of the object you would like to delete.  You can call other functions such as Get-Tables, Get-Images, Get-Body, etc. to get the paths of the objects in the document.  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(DocxRemoveObjectResponse, Fixnum, Hash)>] DocxRemoveObjectResponse data, response status code and response headers
    def edit_document_docx_remove_object_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_remove_object ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_remove_object"
      end
      # resource path
      local_var_path = '/convert/edit/docx/remove-object'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'DocxRemoveObjectResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_remove_object\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Replace string in Word DOCX document
    # Replace all instances of a string in an Office Word Document (docx)
    # @param req_config Document string replacement configuration input
    # @param [Hash] opts the optional parameters
    # @return [String]
    def edit_document_docx_replace(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_replace_with_http_info(req_config, opts)
      data
    end

    # Replace string in Word DOCX document
    # Replace all instances of a string in an Office Word Document (docx)
    # @param req_config Document string replacement configuration input
    # @param [Hash] opts the optional parameters
    # @return [Array<(String, Fixnum, Hash)>] String data, response status code and response headers
    def edit_document_docx_replace_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_replace ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_replace"
      end
      # resource path
      local_var_path = '/convert/edit/docx/replace-all'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/octet-stream'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'String')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_replace\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Replace multiple strings in Word DOCX document, return result
    # Replace all instances of multiple strings in an Office Word Document (docx)
    # @param req_config Document string replacement configuration input
    # @param [Hash] opts the optional parameters
    # @return [String]
    def edit_document_docx_replace_multi(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_replace_multi_with_http_info(req_config, opts)
      data
    end

    # Replace multiple strings in Word DOCX document, return result
    # Replace all instances of multiple strings in an Office Word Document (docx)
    # @param req_config Document string replacement configuration input
    # @param [Hash] opts the optional parameters
    # @return [Array<(String, Fixnum, Hash)>] String data, response status code and response headers
    def edit_document_docx_replace_multi_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_replace_multi ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_replace_multi"
      end
      # resource path
      local_var_path = '/convert/edit/docx/replace-all/multi'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/octet-stream'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'String')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_replace_multi\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Replace multiple strings in Word DOCX document, return edit session
    # Replace all instances of multiple strings in an Office Word Document (docx).  Returns an edit session URL so that you can chain together multiple edit operations without having to send the entire document contents back and forth multiple times.  Call the Finish Editing API to retrieve the final document once editing is complete.
    # @param req_config Document string replacement configuration input
    # @param [Hash] opts the optional parameters
    # @return [DocumentEditingEditSession]
    def edit_document_docx_replace_multi_edit_session(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_replace_multi_edit_session_with_http_info(req_config, opts)
      data
    end

    # Replace multiple strings in Word DOCX document, return edit session
    # Replace all instances of multiple strings in an Office Word Document (docx).  Returns an edit session URL so that you can chain together multiple edit operations without having to send the entire document contents back and forth multiple times.  Call the Finish Editing API to retrieve the final document once editing is complete.
    # @param req_config Document string replacement configuration input
    # @param [Hash] opts the optional parameters
    # @return [Array<(DocumentEditingEditSession, Fixnum, Hash)>] DocumentEditingEditSession data, response status code and response headers
    def edit_document_docx_replace_multi_edit_session_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_replace_multi_edit_session ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_replace_multi_edit_session"
      end
      # resource path
      local_var_path = '/convert/edit/docx/replace-all/multi/edit-session'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'DocumentEditingEditSession')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_replace_multi_edit_session\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Replace matching paragraphs in a Word DOCX document
    # Returns the edited Word Document (DOCX) format file with the matching paragraphs replaced as requested.  Replace a paragraph with another object such as an image.  Useful for performing templating operations.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [ReplaceDocxParagraphResponse]
    def edit_document_docx_replace_paragraph(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_replace_paragraph_with_http_info(req_config, opts)
      data
    end

    # Replace matching paragraphs in a Word DOCX document
    # Returns the edited Word Document (DOCX) format file with the matching paragraphs replaced as requested.  Replace a paragraph with another object such as an image.  Useful for performing templating operations.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(ReplaceDocxParagraphResponse, Fixnum, Hash)>] ReplaceDocxParagraphResponse data, response status code and response headers
    def edit_document_docx_replace_paragraph_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_replace_paragraph ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_replace_paragraph"
      end
      # resource path
      local_var_path = '/convert/edit/docx/replace/paragraph'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'ReplaceDocxParagraphResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_replace_paragraph\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Set custom property metadata properties in Word DOCX document
    # Sets the custom property metadata for the metadata properties in an Office Word Document (docx)
    # @param input 
    # @param [Hash] opts the optional parameters
    # @return [String]
    def edit_document_docx_set_custom_metadata_properties(input, opts = {})
      data, _status_code, _headers = edit_document_docx_set_custom_metadata_properties_with_http_info(input, opts)
      data
    end

    # Set custom property metadata properties in Word DOCX document
    # Sets the custom property metadata for the metadata properties in an Office Word Document (docx)
    # @param input 
    # @param [Hash] opts the optional parameters
    # @return [Array<(String, Fixnum, Hash)>] String data, response status code and response headers
    def edit_document_docx_set_custom_metadata_properties_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_set_custom_metadata_properties ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_docx_set_custom_metadata_properties"
      end
      # resource path
      local_var_path = '/convert/edit/docx/set-metadata/custom-property'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'String')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_set_custom_metadata_properties\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Set the footer in a Word DOCX document
    # Set the footer in a Word Document (DOCX).  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [DocxSetFooterResponse]
    def edit_document_docx_set_footer(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_set_footer_with_http_info(req_config, opts)
      data
    end

    # Set the footer in a Word DOCX document
    # Set the footer in a Word Document (DOCX).  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(DocxSetFooterResponse, Fixnum, Hash)>] DocxSetFooterResponse data, response status code and response headers
    def edit_document_docx_set_footer_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_set_footer ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_set_footer"
      end
      # resource path
      local_var_path = '/convert/edit/docx/set-footer'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'DocxSetFooterResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_set_footer\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Add page number to footer in a Word DOCX document
    # Set the footer in a Word Document (DOCX) to contain a page number.  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [DocxSetFooterResponse]
    def edit_document_docx_set_footer_add_page_number(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_set_footer_add_page_number_with_http_info(req_config, opts)
      data
    end

    # Add page number to footer in a Word DOCX document
    # Set the footer in a Word Document (DOCX) to contain a page number.  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(DocxSetFooterResponse, Fixnum, Hash)>] DocxSetFooterResponse data, response status code and response headers
    def edit_document_docx_set_footer_add_page_number_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_set_footer_add_page_number ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_set_footer_add_page_number"
      end
      # resource path
      local_var_path = '/convert/edit/docx/set-footer/add-page-number'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'DocxSetFooterResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_set_footer_add_page_number\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Set and fill values for form fields in a Word DOCX document
    # Modifies a Office Word Document (docx) by filling in form fields using the provided values.
    # @param req_config 
    # @param [Hash] opts the optional parameters
    # @return [String]
    def edit_document_docx_set_form_fields(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_set_form_fields_with_http_info(req_config, opts)
      data
    end

    # Set and fill values for form fields in a Word DOCX document
    # Modifies a Office Word Document (docx) by filling in form fields using the provided values.
    # @param req_config 
    # @param [Hash] opts the optional parameters
    # @return [Array<(String, Fixnum, Hash)>] String data, response status code and response headers
    def edit_document_docx_set_form_fields_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_set_form_fields ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_set_form_fields"
      end
      # resource path
      local_var_path = '/convert/edit/docx/set-form-fields'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'String')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_set_form_fields\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Set the header in a Word DOCX document
    # Set the header in a Word Document (DOCX).  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [DocxSetHeaderResponse]
    def edit_document_docx_set_header(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_set_header_with_http_info(req_config, opts)
      data
    end

    # Set the header in a Word DOCX document
    # Set the header in a Word Document (DOCX).  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(DocxSetHeaderResponse, Fixnum, Hash)>] DocxSetHeaderResponse data, response status code and response headers
    def edit_document_docx_set_header_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_set_header ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_set_header"
      end
      # resource path
      local_var_path = '/convert/edit/docx/set-header'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'DocxSetHeaderResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_set_header\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Update, set contents of a table cell in an existing table in a Word DOCX document
    # Sets the contents of a table cell into a DOCX Document and returns the result.  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [UpdateDocxTableCellResponse]
    def edit_document_docx_update_table_cell(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_update_table_cell_with_http_info(req_config, opts)
      data
    end

    # Update, set contents of a table cell in an existing table in a Word DOCX document
    # Sets the contents of a table cell into a DOCX Document and returns the result.  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(UpdateDocxTableCellResponse, Fixnum, Hash)>] UpdateDocxTableCellResponse data, response status code and response headers
    def edit_document_docx_update_table_cell_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_update_table_cell ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_update_table_cell"
      end
      # resource path
      local_var_path = '/convert/edit/docx/update-table-cell'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'UpdateDocxTableCellResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_update_table_cell\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Update, set contents of a table row in an existing table in a Word DOCX document
    # Sets the contents of a table row into a DOCX Document and returns the result.  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [UpdateDocxTableRowResponse]
    def edit_document_docx_update_table_row(req_config, opts = {})
      data, _status_code, _headers = edit_document_docx_update_table_row_with_http_info(req_config, opts)
      data
    end

    # Update, set contents of a table row in an existing table in a Word DOCX document
    # Sets the contents of a table row into a DOCX Document and returns the result.  Call Finish Editing on the output URL to complete the operation.
    # @param req_config Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(UpdateDocxTableRowResponse, Fixnum, Hash)>] UpdateDocxTableRowResponse data, response status code and response headers
    def edit_document_docx_update_table_row_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_docx_update_table_row ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_docx_update_table_row"
      end
      # resource path
      local_var_path = '/convert/edit/docx/update-table-row'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'UpdateDocxTableRowResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_docx_update_table_row\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Finish editing document, and download result from document editing
    # Once done editing a document, download the result.  Begin editing a document by calling begin-editing, then perform operations, then call finish-editing to get the result.
    # @param req_config Cloudmersive Document URL to complete editing on
    # @param [Hash] opts the optional parameters
    # @return [String]
    def edit_document_finish_editing(req_config, opts = {})
      data, _status_code, _headers = edit_document_finish_editing_with_http_info(req_config, opts)
      data
    end

    # Finish editing document, and download result from document editing
    # Once done editing a document, download the result.  Begin editing a document by calling begin-editing, then perform operations, then call finish-editing to get the result.
    # @param req_config Cloudmersive Document URL to complete editing on
    # @param [Hash] opts the optional parameters
    # @return [Array<(String, Fixnum, Hash)>] String data, response status code and response headers
    def edit_document_finish_editing_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_finish_editing ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_finish_editing"
      end
      # resource path
      local_var_path = '/convert/edit/finish-editing'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/octet-stream'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'String')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_finish_editing\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Delete, remove slides from a PowerPoint PPTX presentation document
    # Edits the input PowerPoint PPTX presentation document to remove the specified slides
    # @param req_config Presentation input request
    # @param [Hash] opts the optional parameters
    # @return [String]
    def edit_document_pptx_delete_slides(req_config, opts = {})
      data, _status_code, _headers = edit_document_pptx_delete_slides_with_http_info(req_config, opts)
      data
    end

    # Delete, remove slides from a PowerPoint PPTX presentation document
    # Edits the input PowerPoint PPTX presentation document to remove the specified slides
    # @param req_config Presentation input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(String, Fixnum, Hash)>] String data, response status code and response headers
    def edit_document_pptx_delete_slides_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_pptx_delete_slides ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_pptx_delete_slides"
      end
      # resource path
      local_var_path = '/convert/edit/pptx/delete-slides'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/octet-stream'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'String')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_pptx_delete_slides\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get macro information from a PowerPoint PPTX/PPTM presentation document
    # Returns information about the Macros (e.g. VBA) defined in the PowerPoint Document
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [GetMacrosResponse]
    def edit_document_pptx_get_macro_information(input_file, opts = {})
      data, _status_code, _headers = edit_document_pptx_get_macro_information_with_http_info(input_file, opts)
      data
    end

    # Get macro information from a PowerPoint PPTX/PPTM presentation document
    # Returns information about the Macros (e.g. VBA) defined in the PowerPoint Document
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetMacrosResponse, Fixnum, Hash)>] GetMacrosResponse data, response status code and response headers
    def edit_document_pptx_get_macro_information_with_http_info(input_file, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_pptx_get_macro_information ...'
      end
      # verify the required parameter 'input_file' is set
      if @api_client.config.client_side_validation && input_file.nil?
        fail ArgumentError, "Missing the required parameter 'input_file' when calling EditDocumentApi.edit_document_pptx_get_macro_information"
      end
      # resource path
      local_var_path = '/convert/edit/pptx/get-macros'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['multipart/form-data'])

      # form parameters
      form_params = {}
      form_params['inputFile'] = input_file

      # http body (model)
      post_body = nil
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetMacrosResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_pptx_get_macro_information\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Replace string in PowerPoint PPTX presentation
    # Replace all instances of a string in an Office PowerPoint Document (pptx)
    # @param req_config Replacement document configuration input
    # @param [Hash] opts the optional parameters
    # @return [String]
    def edit_document_pptx_replace(req_config, opts = {})
      data, _status_code, _headers = edit_document_pptx_replace_with_http_info(req_config, opts)
      data
    end

    # Replace string in PowerPoint PPTX presentation
    # Replace all instances of a string in an Office PowerPoint Document (pptx)
    # @param req_config Replacement document configuration input
    # @param [Hash] opts the optional parameters
    # @return [Array<(String, Fixnum, Hash)>] String data, response status code and response headers
    def edit_document_pptx_replace_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_pptx_replace ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_pptx_replace"
      end
      # resource path
      local_var_path = '/convert/edit/pptx/replace-all'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/octet-stream'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'String')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_pptx_replace\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Append row to a Excel XLSX spreadsheet, worksheet
    # Appends a row to the end of an Excel Spreadsheet worksheet.
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [AppendXlsxRowResponse]
    def edit_document_xlsx_append_row(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_append_row_with_http_info(input, opts)
      data
    end

    # Append row to a Excel XLSX spreadsheet, worksheet
    # Appends a row to the end of an Excel Spreadsheet worksheet.
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(AppendXlsxRowResponse, Fixnum, Hash)>] AppendXlsxRowResponse data, response status code and response headers
    def edit_document_xlsx_append_row_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_append_row ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_append_row"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/append-row'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'AppendXlsxRowResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_append_row\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Clear cell contents in an Excel XLSX spreadsheet, worksheet by index
    # Clears, sets to blank, the contents of a specific cell in an Excel XLSX spreadsheet, worksheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [ClearXlsxCellResponse]
    def edit_document_xlsx_clear_cell_by_index(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_clear_cell_by_index_with_http_info(input, opts)
      data
    end

    # Clear cell contents in an Excel XLSX spreadsheet, worksheet by index
    # Clears, sets to blank, the contents of a specific cell in an Excel XLSX spreadsheet, worksheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(ClearXlsxCellResponse, Fixnum, Hash)>] ClearXlsxCellResponse data, response status code and response headers
    def edit_document_xlsx_clear_cell_by_index_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_clear_cell_by_index ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_clear_cell_by_index"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/clear-cell/by-index'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'ClearXlsxCellResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_clear_cell_by_index\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Clear row from a Excel XLSX spreadsheet, worksheet
    # Clears data from a specific row in the Excel Spreadsheet worksheet, leaving a blank row. Use the Get Rows And Cells API to enumerate available rows in a spreadsheet.
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [ClearXlsxRowResponse]
    def edit_document_xlsx_clear_row(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_clear_row_with_http_info(input, opts)
      data
    end

    # Clear row from a Excel XLSX spreadsheet, worksheet
    # Clears data from a specific row in the Excel Spreadsheet worksheet, leaving a blank row. Use the Get Rows And Cells API to enumerate available rows in a spreadsheet.
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(ClearXlsxRowResponse, Fixnum, Hash)>] ClearXlsxRowResponse data, response status code and response headers
    def edit_document_xlsx_clear_row_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_clear_row ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_clear_row"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/clear-row'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'ClearXlsxRowResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_clear_row\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Create a blank Excel XLSX spreadsheet
    # Returns a blank Excel XLSX Spreadsheet (XLSX) format file
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [CreateBlankSpreadsheetResponse]
    def edit_document_xlsx_create_blank_spreadsheet(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_create_blank_spreadsheet_with_http_info(input, opts)
      data
    end

    # Create a blank Excel XLSX spreadsheet
    # Returns a blank Excel XLSX Spreadsheet (XLSX) format file
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(CreateBlankSpreadsheetResponse, Fixnum, Hash)>] CreateBlankSpreadsheetResponse data, response status code and response headers
    def edit_document_xlsx_create_blank_spreadsheet_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_create_blank_spreadsheet ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_create_blank_spreadsheet"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/create/blank'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'CreateBlankSpreadsheetResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_create_blank_spreadsheet\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Create a new Excel XLSX spreadsheet from column and row data
    # Returns a new Excel XLSX Spreadsheet (XLSX) format file populated with column and row data specified as input
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [CreateSpreadsheetFromDataResponse]
    def edit_document_xlsx_create_spreadsheet_from_data(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_create_spreadsheet_from_data_with_http_info(input, opts)
      data
    end

    # Create a new Excel XLSX spreadsheet from column and row data
    # Returns a new Excel XLSX Spreadsheet (XLSX) format file populated with column and row data specified as input
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(CreateSpreadsheetFromDataResponse, Fixnum, Hash)>] CreateSpreadsheetFromDataResponse data, response status code and response headers
    def edit_document_xlsx_create_spreadsheet_from_data_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_create_spreadsheet_from_data ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_create_spreadsheet_from_data"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/create/from/data'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'CreateSpreadsheetFromDataResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_create_spreadsheet_from_data\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Delete, remove worksheet from an Excel XLSX spreadsheet document
    # Edits the input Excel XLSX spreadsheet document to remove the specified worksheet (tab).  Use the Get Worksheets API to enumerate available worksheets in a spreadsheet.
    # @param req_config Spreadsheet input request
    # @param [Hash] opts the optional parameters
    # @return [String]
    def edit_document_xlsx_delete_worksheet(req_config, opts = {})
      data, _status_code, _headers = edit_document_xlsx_delete_worksheet_with_http_info(req_config, opts)
      data
    end

    # Delete, remove worksheet from an Excel XLSX spreadsheet document
    # Edits the input Excel XLSX spreadsheet document to remove the specified worksheet (tab).  Use the Get Worksheets API to enumerate available worksheets in a spreadsheet.
    # @param req_config Spreadsheet input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(String, Fixnum, Hash)>] String data, response status code and response headers
    def edit_document_xlsx_delete_worksheet_with_http_info(req_config, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_delete_worksheet ...'
      end
      # verify the required parameter 'req_config' is set
      if @api_client.config.client_side_validation && req_config.nil?
        fail ArgumentError, "Missing the required parameter 'req_config' when calling EditDocumentApi.edit_document_xlsx_delete_worksheet"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/delete-worksheet'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/octet-stream'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(req_config)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'String')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_delete_worksheet\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Disable Shared Workbook (legacy) in Excel XLSX spreadsheet
    # Disable the Shared Workbook (legacy) mode in an Excel XLSX spreadsheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [DisableSharedWorkbookResponse]
    def edit_document_xlsx_disable_shared_workbook(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_disable_shared_workbook_with_http_info(input, opts)
      data
    end

    # Disable Shared Workbook (legacy) in Excel XLSX spreadsheet
    # Disable the Shared Workbook (legacy) mode in an Excel XLSX spreadsheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(DisableSharedWorkbookResponse, Fixnum, Hash)>] DisableSharedWorkbookResponse data, response status code and response headers
    def edit_document_xlsx_disable_shared_workbook_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_disable_shared_workbook ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_disable_shared_workbook"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/configuration/disable-shared-workbook'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'DisableSharedWorkbookResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_disable_shared_workbook\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Enable Shared Workbook (legacy) in Excel XLSX spreadsheet
    # Enables the Shared Workbook (legacy) mode in an Excel XLSX spreadsheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [EnableSharedWorkbookResponse]
    def edit_document_xlsx_enable_shared_workbook(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_enable_shared_workbook_with_http_info(input, opts)
      data
    end

    # Enable Shared Workbook (legacy) in Excel XLSX spreadsheet
    # Enables the Shared Workbook (legacy) mode in an Excel XLSX spreadsheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(EnableSharedWorkbookResponse, Fixnum, Hash)>] EnableSharedWorkbookResponse data, response status code and response headers
    def edit_document_xlsx_enable_shared_workbook_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_enable_shared_workbook ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_enable_shared_workbook"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/configuration/enable-shared-workbook'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'EnableSharedWorkbookResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_enable_shared_workbook\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get cell from an Excel XLSX spreadsheet, worksheet by cell identifier
    # Returns the value of a specific cell based on its identifier (e.g. A1, B22, C33, etc.) in the Excel Spreadsheet worksheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetXlsxCellByIdentifierResponse]
    def edit_document_xlsx_get_cell_by_identifier(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_get_cell_by_identifier_with_http_info(input, opts)
      data
    end

    # Get cell from an Excel XLSX spreadsheet, worksheet by cell identifier
    # Returns the value of a specific cell based on its identifier (e.g. A1, B22, C33, etc.) in the Excel Spreadsheet worksheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetXlsxCellByIdentifierResponse, Fixnum, Hash)>] GetXlsxCellByIdentifierResponse data, response status code and response headers
    def edit_document_xlsx_get_cell_by_identifier_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_get_cell_by_identifier ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_get_cell_by_identifier"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/get-cell/by-identifier'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetXlsxCellByIdentifierResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_get_cell_by_identifier\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get cell from an Excel XLSX spreadsheet, worksheet by index
    # Returns the value and definition of a specific cell in a specific row in the Excel Spreadsheet worksheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetXlsxCellResponse]
    def edit_document_xlsx_get_cell_by_index(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_get_cell_by_index_with_http_info(input, opts)
      data
    end

    # Get cell from an Excel XLSX spreadsheet, worksheet by index
    # Returns the value and definition of a specific cell in a specific row in the Excel Spreadsheet worksheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetXlsxCellResponse, Fixnum, Hash)>] GetXlsxCellResponse data, response status code and response headers
    def edit_document_xlsx_get_cell_by_index_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_get_cell_by_index ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_get_cell_by_index"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/get-cell/by-index'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetXlsxCellResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_get_cell_by_index\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get columns from a Excel XLSX spreadsheet, worksheet
    # Returns the columns defined in the Excel Spreadsheet worksheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetXlsxColumnsResponse]
    def edit_document_xlsx_get_columns(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_get_columns_with_http_info(input, opts)
      data
    end

    # Get columns from a Excel XLSX spreadsheet, worksheet
    # Returns the columns defined in the Excel Spreadsheet worksheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetXlsxColumnsResponse, Fixnum, Hash)>] GetXlsxColumnsResponse data, response status code and response headers
    def edit_document_xlsx_get_columns_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_get_columns ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_get_columns"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/get-columns'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetXlsxColumnsResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_get_columns\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get images from a Excel XLSX spreadsheet, worksheet
    # Returns the images defined in the Excel Spreadsheet worksheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetXlsxImagesResponse]
    def edit_document_xlsx_get_images(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_get_images_with_http_info(input, opts)
      data
    end

    # Get images from a Excel XLSX spreadsheet, worksheet
    # Returns the images defined in the Excel Spreadsheet worksheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetXlsxImagesResponse, Fixnum, Hash)>] GetXlsxImagesResponse data, response status code and response headers
    def edit_document_xlsx_get_images_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_get_images ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_get_images"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/get-images'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetXlsxImagesResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_get_images\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get macro information from a Excel XLSX/XLSM spreadsheet, worksheet
    # Returns information about the Macros (e.g. VBA) defined in the Excel Spreadsheet
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [GetMacrosResponse]
    def edit_document_xlsx_get_macro_information(input_file, opts = {})
      data, _status_code, _headers = edit_document_xlsx_get_macro_information_with_http_info(input_file, opts)
      data
    end

    # Get macro information from a Excel XLSX/XLSM spreadsheet, worksheet
    # Returns information about the Macros (e.g. VBA) defined in the Excel Spreadsheet
    # @param input_file Input file to perform the operation on.
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetMacrosResponse, Fixnum, Hash)>] GetMacrosResponse data, response status code and response headers
    def edit_document_xlsx_get_macro_information_with_http_info(input_file, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_get_macro_information ...'
      end
      # verify the required parameter 'input_file' is set
      if @api_client.config.client_side_validation && input_file.nil?
        fail ArgumentError, "Missing the required parameter 'input_file' when calling EditDocumentApi.edit_document_xlsx_get_macro_information"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/get-macros'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['multipart/form-data'])

      # form parameters
      form_params = {}
      form_params['inputFile'] = input_file

      # http body (model)
      post_body = nil
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetMacrosResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_get_macro_information\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get rows and cells from a Excel XLSX spreadsheet, worksheet
    # Returns the rows and cells defined in the Excel Spreadsheet worksheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetXlsxRowsAndCellsResponse]
    def edit_document_xlsx_get_rows_and_cells(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_get_rows_and_cells_with_http_info(input, opts)
      data
    end

    # Get rows and cells from a Excel XLSX spreadsheet, worksheet
    # Returns the rows and cells defined in the Excel Spreadsheet worksheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetXlsxRowsAndCellsResponse, Fixnum, Hash)>] GetXlsxRowsAndCellsResponse data, response status code and response headers
    def edit_document_xlsx_get_rows_and_cells_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_get_rows_and_cells ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_get_rows_and_cells"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/get-rows-and-cells'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetXlsxRowsAndCellsResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_get_rows_and_cells\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get a specific row from a Excel XLSX spreadsheet, worksheet by path
    # Returns the specific row and its cells defined in the Excel Spreadsheet worksheet based on the specified path.
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetXlsxSpecificRowResponse]
    def edit_document_xlsx_get_specific_row(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_get_specific_row_with_http_info(input, opts)
      data
    end

    # Get a specific row from a Excel XLSX spreadsheet, worksheet by path
    # Returns the specific row and its cells defined in the Excel Spreadsheet worksheet based on the specified path.
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetXlsxSpecificRowResponse, Fixnum, Hash)>] GetXlsxSpecificRowResponse data, response status code and response headers
    def edit_document_xlsx_get_specific_row_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_get_specific_row ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_get_specific_row"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/get-specific-row'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetXlsxSpecificRowResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_get_specific_row\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get styles from a Excel XLSX spreadsheet, worksheet
    # Returns the style defined in the Excel Spreadsheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetXlsxStylesResponse]
    def edit_document_xlsx_get_styles(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_get_styles_with_http_info(input, opts)
      data
    end

    # Get styles from a Excel XLSX spreadsheet, worksheet
    # Returns the style defined in the Excel Spreadsheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetXlsxStylesResponse, Fixnum, Hash)>] GetXlsxStylesResponse data, response status code and response headers
    def edit_document_xlsx_get_styles_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_get_styles ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_get_styles"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/get-styles'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetXlsxStylesResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_get_styles\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Get worksheets from a Excel XLSX spreadsheet
    # Returns the worksheets (tabs) defined in the Excel Spreadsheet (XLSX) format file
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [GetXlsxWorksheetsResponse]
    def edit_document_xlsx_get_worksheets(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_get_worksheets_with_http_info(input, opts)
      data
    end

    # Get worksheets from a Excel XLSX spreadsheet
    # Returns the worksheets (tabs) defined in the Excel Spreadsheet (XLSX) format file
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(GetXlsxWorksheetsResponse, Fixnum, Hash)>] GetXlsxWorksheetsResponse data, response status code and response headers
    def edit_document_xlsx_get_worksheets_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_get_worksheets ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_get_worksheets"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/get-worksheets'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'GetXlsxWorksheetsResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_get_worksheets\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Insert a new worksheet into an Excel XLSX spreadsheet
    # Inserts a new worksheet into an Excel Spreadsheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [InsertXlsxWorksheetResponse]
    def edit_document_xlsx_insert_worksheet(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_insert_worksheet_with_http_info(input, opts)
      data
    end

    # Insert a new worksheet into an Excel XLSX spreadsheet
    # Inserts a new worksheet into an Excel Spreadsheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(InsertXlsxWorksheetResponse, Fixnum, Hash)>] InsertXlsxWorksheetResponse data, response status code and response headers
    def edit_document_xlsx_insert_worksheet_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_insert_worksheet ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_insert_worksheet"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/insert-worksheet'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'InsertXlsxWorksheetResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_insert_worksheet\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Rename a specific worksheet in a Excel XLSX spreadsheet
    # Edits the input Excel XLSX spreadsheet document to rename a specified worksheet (tab).  Use the Get Worksheets API to enumerate available worksheets in a spreadsheet.
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [RenameXlsxWorksheetResponse]
    def edit_document_xlsx_rename_worksheet(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_rename_worksheet_with_http_info(input, opts)
      data
    end

    # Rename a specific worksheet in a Excel XLSX spreadsheet
    # Edits the input Excel XLSX spreadsheet document to rename a specified worksheet (tab).  Use the Get Worksheets API to enumerate available worksheets in a spreadsheet.
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(RenameXlsxWorksheetResponse, Fixnum, Hash)>] RenameXlsxWorksheetResponse data, response status code and response headers
    def edit_document_xlsx_rename_worksheet_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_rename_worksheet ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_rename_worksheet"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/rename-worksheet'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'RenameXlsxWorksheetResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_rename_worksheet\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Set, update cell contents in an Excel XLSX spreadsheet, worksheet by cell identifier
    # Sets, updates the contents of a specific cell in an Excel XLSX spreadsheet, worksheet using its cell identifier (e.g. A1, B22, C33) in the worksheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [SetXlsxCellByIdentifierResponse]
    def edit_document_xlsx_set_cell_by_identifier(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_set_cell_by_identifier_with_http_info(input, opts)
      data
    end

    # Set, update cell contents in an Excel XLSX spreadsheet, worksheet by cell identifier
    # Sets, updates the contents of a specific cell in an Excel XLSX spreadsheet, worksheet using its cell identifier (e.g. A1, B22, C33) in the worksheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(SetXlsxCellByIdentifierResponse, Fixnum, Hash)>] SetXlsxCellByIdentifierResponse data, response status code and response headers
    def edit_document_xlsx_set_cell_by_identifier_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_set_cell_by_identifier ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_set_cell_by_identifier"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/set-cell/by-identifier'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'SetXlsxCellByIdentifierResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_set_cell_by_identifier\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Set, update cell contents in an Excel XLSX spreadsheet, worksheet by index
    # Sets, updates the contents of a specific cell in an Excel XLSX spreadsheet, worksheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [SetXlsxCellResponse]
    def edit_document_xlsx_set_cell_by_index(input, opts = {})
      data, _status_code, _headers = edit_document_xlsx_set_cell_by_index_with_http_info(input, opts)
      data
    end

    # Set, update cell contents in an Excel XLSX spreadsheet, worksheet by index
    # Sets, updates the contents of a specific cell in an Excel XLSX spreadsheet, worksheet
    # @param input Document input request
    # @param [Hash] opts the optional parameters
    # @return [Array<(SetXlsxCellResponse, Fixnum, Hash)>] SetXlsxCellResponse data, response status code and response headers
    def edit_document_xlsx_set_cell_by_index_with_http_info(input, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: EditDocumentApi.edit_document_xlsx_set_cell_by_index ...'
      end
      # verify the required parameter 'input' is set
      if @api_client.config.client_side_validation && input.nil?
        fail ArgumentError, "Missing the required parameter 'input' when calling EditDocumentApi.edit_document_xlsx_set_cell_by_index"
      end
      # resource path
      local_var_path = '/convert/edit/xlsx/set-cell/by-index'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(input)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'SetXlsxCellResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: EditDocumentApi#edit_document_xlsx_set_cell_by_index\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
  end
end
