=begin
#convertapi

#Convert API lets you effortlessly convert file formats and types.

OpenAPI spec version: v1

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.14

=end

require 'date'

module CloudmersiveConvertApiClient
  # A cell in a Word Document (DOCX) file
  class DocxTableCell
    # The index of the cell, 0-based
    attr_accessor :cell_index

    # The Path of the location of this object; leave blank for new tables
    attr_accessor :path

    # Paragraphs inside the cell; this is where the contents of the cell are stored
    attr_accessor :paragraphs

    # Color of the cell shading
    attr_accessor :cell_shading_color

    # Fill of the cell shading
    attr_accessor :cell_shading_fill

    # Pattern of the cell shading
    attr_accessor :cell_shading_pattern

    # Width mode of the cell; can be auto (for automatic) or manual
    attr_accessor :cell_width_mode

    # Width of the cell
    attr_accessor :cell_width

    # Attribute mapping from ruby-style variable name to JSON key.
    def self.attribute_map
      {
        :'cell_index' => :'CellIndex',
        :'path' => :'Path',
        :'paragraphs' => :'Paragraphs',
        :'cell_shading_color' => :'CellShadingColor',
        :'cell_shading_fill' => :'CellShadingFill',
        :'cell_shading_pattern' => :'CellShadingPattern',
        :'cell_width_mode' => :'CellWidthMode',
        :'cell_width' => :'CellWidth'
      }
    end

    # Attribute type mapping.
    def self.swagger_types
      {
        :'cell_index' => :'Integer',
        :'path' => :'String',
        :'paragraphs' => :'Array<DocxParagraph>',
        :'cell_shading_color' => :'String',
        :'cell_shading_fill' => :'String',
        :'cell_shading_pattern' => :'String',
        :'cell_width_mode' => :'String',
        :'cell_width' => :'String'
      }
    end

    # Initializes the object
    # @param [Hash] attributes Model attributes in the form of hash
    def initialize(attributes = {})
      return unless attributes.is_a?(Hash)

      # convert string to symbol for hash key
      attributes = attributes.each_with_object({}) { |(k, v), h| h[k.to_sym] = v }

      if attributes.has_key?(:'CellIndex')
        self.cell_index = attributes[:'CellIndex']
      end

      if attributes.has_key?(:'Path')
        self.path = attributes[:'Path']
      end

      if attributes.has_key?(:'Paragraphs')
        if (value = attributes[:'Paragraphs']).is_a?(Array)
          self.paragraphs = value
        end
      end

      if attributes.has_key?(:'CellShadingColor')
        self.cell_shading_color = attributes[:'CellShadingColor']
      end

      if attributes.has_key?(:'CellShadingFill')
        self.cell_shading_fill = attributes[:'CellShadingFill']
      end

      if attributes.has_key?(:'CellShadingPattern')
        self.cell_shading_pattern = attributes[:'CellShadingPattern']
      end

      if attributes.has_key?(:'CellWidthMode')
        self.cell_width_mode = attributes[:'CellWidthMode']
      end

      if attributes.has_key?(:'CellWidth')
        self.cell_width = attributes[:'CellWidth']
      end
    end

    # Show invalid properties with the reasons. Usually used together with valid?
    # @return Array for valid properties with the reasons
    def list_invalid_properties
      invalid_properties = Array.new
      invalid_properties
    end

    # Check to see if the all the properties in the model are valid
    # @return true if the model is valid
    def valid?
      true
    end

    # Checks equality by comparing each attribute.
    # @param [Object] Object to be compared
    def ==(o)
      return true if self.equal?(o)
      self.class == o.class &&
          cell_index == o.cell_index &&
          path == o.path &&
          paragraphs == o.paragraphs &&
          cell_shading_color == o.cell_shading_color &&
          cell_shading_fill == o.cell_shading_fill &&
          cell_shading_pattern == o.cell_shading_pattern &&
          cell_width_mode == o.cell_width_mode &&
          cell_width == o.cell_width
    end

    # @see the `==` method
    # @param [Object] Object to be compared
    def eql?(o)
      self == o
    end

    # Calculates hash code according to all attributes.
    # @return [Fixnum] Hash code
    def hash
      [cell_index, path, paragraphs, cell_shading_color, cell_shading_fill, cell_shading_pattern, cell_width_mode, cell_width].hash
    end

    # Builds the object from hash
    # @param [Hash] attributes Model attributes in the form of hash
    # @return [Object] Returns the model itself
    def build_from_hash(attributes)
      return nil unless attributes.is_a?(Hash)
      self.class.swagger_types.each_pair do |key, type|
        if type =~ /\AArray<(.*)>/i
          # check to ensure the input is an array given that the attribute
          # is documented as an array but the input is not
          if attributes[self.class.attribute_map[key]].is_a?(Array)
            self.send("#{key}=", attributes[self.class.attribute_map[key]].map { |v| _deserialize($1, v) })
          end
        elsif !attributes[self.class.attribute_map[key]].nil?
          self.send("#{key}=", _deserialize(type, attributes[self.class.attribute_map[key]]))
        end # or else data not found in attributes(hash), not an issue as the data can be optional
      end

      self
    end

    # Deserializes the data based on type
    # @param string type Data type
    # @param string value Value to be deserialized
    # @return [Object] Deserialized data
    def _deserialize(type, value)
      case type.to_sym
      when :DateTime
        DateTime.parse(value)
      when :Date
        Date.parse(value)
      when :String
        value.to_s
      when :Integer
        value.to_i
      when :Float
        value.to_f
      when :BOOLEAN
        if value.to_s =~ /\A(true|t|yes|y|1)\z/i
          true
        else
          false
        end
      when :Object
        # generic object (usually a Hash), return directly
        value
      when /\AArray<(?<inner_type>.+)>\z/
        inner_type = Regexp.last_match[:inner_type]
        value.map { |v| _deserialize(inner_type, v) }
      when /\AHash<(?<k_type>.+?), (?<v_type>.+)>\z/
        k_type = Regexp.last_match[:k_type]
        v_type = Regexp.last_match[:v_type]
        {}.tap do |hash|
          value.each do |k, v|
            hash[_deserialize(k_type, k)] = _deserialize(v_type, v)
          end
        end
      else # model
        temp_model = CloudmersiveConvertApiClient.const_get(type).new
        temp_model.build_from_hash(value)
      end
    end

    # Returns the string representation of the object
    # @return [String] String presentation of the object
    def to_s
      to_hash.to_s
    end

    # to_body is an alias to to_hash (backward compatibility)
    # @return [Hash] Returns the object in the form of hash
    def to_body
      to_hash
    end

    # Returns the object in the form of hash
    # @return [Hash] Returns the object in the form of hash
    def to_hash
      hash = {}
      self.class.attribute_map.each_pair do |attr, param|
        value = self.send(attr)
        next if value.nil?
        hash[param] = _to_hash(value)
      end
      hash
    end

    # Outputs non-array value in the form of hash
    # For object, use to_hash. Otherwise, just return the value
    # @param [Object] value Any valid value
    # @return [Hash] Returns the value in the form of hash
    def _to_hash(value)
      if value.is_a?(Array)
        value.compact.map { |v| _to_hash(v) }
      elsif value.is_a?(Hash)
        {}.tap do |hash|
          value.each { |k, v| hash[k] = _to_hash(v) }
        end
      elsif value.respond_to? :to_hash
        value.to_hash
      else
        value
      end
    end

  end
end
