=begin
#convertapi

#Convert API lets you effortlessly convert file formats and types.

OpenAPI spec version: v1

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.14

=end

require 'date'

module CloudmersiveConvertApiClient
  # Result of running a DocxGetMetadataProperties command
  class GetDocxMetadataPropertiesResponse
    # Name of the Company that authored the document, if available
    attr_accessor :company

    # Name of the Manager that authored the document, if available
    attr_accessor :manager

    # Application version that authored the document, if available
    attr_accessor :application_version

    # Word count of the document
    attr_accessor :word_count

    # Line count of the document
    attr_accessor :line_count

    # Paragraph count of the document
    attr_accessor :paragraph_count

    # Page count of the document
    attr_accessor :page_count

    # Custom properties applied to the document
    attr_accessor :custom_properties

    # True if successful, false otherwise
    attr_accessor :successful

    # Attribute mapping from ruby-style variable name to JSON key.
    def self.attribute_map
      {
        :'company' => :'Company',
        :'manager' => :'Manager',
        :'application_version' => :'ApplicationVersion',
        :'word_count' => :'WordCount',
        :'line_count' => :'LineCount',
        :'paragraph_count' => :'ParagraphCount',
        :'page_count' => :'PageCount',
        :'custom_properties' => :'CustomProperties',
        :'successful' => :'Successful'
      }
    end

    # Attribute type mapping.
    def self.swagger_types
      {
        :'company' => :'String',
        :'manager' => :'String',
        :'application_version' => :'String',
        :'word_count' => :'Integer',
        :'line_count' => :'Integer',
        :'paragraph_count' => :'Integer',
        :'page_count' => :'Integer',
        :'custom_properties' => :'Array<DocxMetadataCustomProperty>',
        :'successful' => :'BOOLEAN'
      }
    end

    # Initializes the object
    # @param [Hash] attributes Model attributes in the form of hash
    def initialize(attributes = {})
      return unless attributes.is_a?(Hash)

      # convert string to symbol for hash key
      attributes = attributes.each_with_object({}) { |(k, v), h| h[k.to_sym] = v }

      if attributes.has_key?(:'Company')
        self.company = attributes[:'Company']
      end

      if attributes.has_key?(:'Manager')
        self.manager = attributes[:'Manager']
      end

      if attributes.has_key?(:'ApplicationVersion')
        self.application_version = attributes[:'ApplicationVersion']
      end

      if attributes.has_key?(:'WordCount')
        self.word_count = attributes[:'WordCount']
      end

      if attributes.has_key?(:'LineCount')
        self.line_count = attributes[:'LineCount']
      end

      if attributes.has_key?(:'ParagraphCount')
        self.paragraph_count = attributes[:'ParagraphCount']
      end

      if attributes.has_key?(:'PageCount')
        self.page_count = attributes[:'PageCount']
      end

      if attributes.has_key?(:'CustomProperties')
        if (value = attributes[:'CustomProperties']).is_a?(Array)
          self.custom_properties = value
        end
      end

      if attributes.has_key?(:'Successful')
        self.successful = attributes[:'Successful']
      end
    end

    # Show invalid properties with the reasons. Usually used together with valid?
    # @return Array for valid properties with the reasons
    def list_invalid_properties
      invalid_properties = Array.new
      invalid_properties
    end

    # Check to see if the all the properties in the model are valid
    # @return true if the model is valid
    def valid?
      true
    end

    # Checks equality by comparing each attribute.
    # @param [Object] Object to be compared
    def ==(o)
      return true if self.equal?(o)
      self.class == o.class &&
          company == o.company &&
          manager == o.manager &&
          application_version == o.application_version &&
          word_count == o.word_count &&
          line_count == o.line_count &&
          paragraph_count == o.paragraph_count &&
          page_count == o.page_count &&
          custom_properties == o.custom_properties &&
          successful == o.successful
    end

    # @see the `==` method
    # @param [Object] Object to be compared
    def eql?(o)
      self == o
    end

    # Calculates hash code according to all attributes.
    # @return [Fixnum] Hash code
    def hash
      [company, manager, application_version, word_count, line_count, paragraph_count, page_count, custom_properties, successful].hash
    end

    # Builds the object from hash
    # @param [Hash] attributes Model attributes in the form of hash
    # @return [Object] Returns the model itself
    def build_from_hash(attributes)
      return nil unless attributes.is_a?(Hash)
      self.class.swagger_types.each_pair do |key, type|
        if type =~ /\AArray<(.*)>/i
          # check to ensure the input is an array given that the attribute
          # is documented as an array but the input is not
          if attributes[self.class.attribute_map[key]].is_a?(Array)
            self.send("#{key}=", attributes[self.class.attribute_map[key]].map { |v| _deserialize($1, v) })
          end
        elsif !attributes[self.class.attribute_map[key]].nil?
          self.send("#{key}=", _deserialize(type, attributes[self.class.attribute_map[key]]))
        end # or else data not found in attributes(hash), not an issue as the data can be optional
      end

      self
    end

    # Deserializes the data based on type
    # @param string type Data type
    # @param string value Value to be deserialized
    # @return [Object] Deserialized data
    def _deserialize(type, value)
      case type.to_sym
      when :DateTime
        DateTime.parse(value)
      when :Date
        Date.parse(value)
      when :String
        value.to_s
      when :Integer
        value.to_i
      when :Float
        value.to_f
      when :BOOLEAN
        if value.to_s =~ /\A(true|t|yes|y|1)\z/i
          true
        else
          false
        end
      when :Object
        # generic object (usually a Hash), return directly
        value
      when /\AArray<(?<inner_type>.+)>\z/
        inner_type = Regexp.last_match[:inner_type]
        value.map { |v| _deserialize(inner_type, v) }
      when /\AHash<(?<k_type>.+?), (?<v_type>.+)>\z/
        k_type = Regexp.last_match[:k_type]
        v_type = Regexp.last_match[:v_type]
        {}.tap do |hash|
          value.each do |k, v|
            hash[_deserialize(k_type, k)] = _deserialize(v_type, v)
          end
        end
      else # model
        temp_model = CloudmersiveConvertApiClient.const_get(type).new
        temp_model.build_from_hash(value)
      end
    end

    # Returns the string representation of the object
    # @return [String] String presentation of the object
    def to_s
      to_hash.to_s
    end

    # to_body is an alias to to_hash (backward compatibility)
    # @return [Hash] Returns the object in the form of hash
    def to_body
      to_hash
    end

    # Returns the object in the form of hash
    # @return [Hash] Returns the object in the form of hash
    def to_hash
      hash = {}
      self.class.attribute_map.each_pair do |attr, param|
        value = self.send(attr)
        next if value.nil?
        hash[param] = _to_hash(value)
      end
      hash
    end

    # Outputs non-array value in the form of hash
    # For object, use to_hash. Otherwise, just return the value
    # @param [Object] value Any valid value
    # @return [Hash] Returns the value in the form of hash
    def _to_hash(value)
      if value.is_a?(Array)
        value.compact.map { |v| _to_hash(v) }
      elsif value.is_a?(Hash)
        {}.tap do |hash|
          value.each { |k, v| hash[k] = _to_hash(v) }
        end
      elsif value.respond_to? :to_hash
        value.to_hash
      else
        value
      end
    end

  end
end
